package com.junmp.print.dao;

import android.content.Context;
import android.database.sqlite.SQLiteDatabase;

import com.junmp.print.dao.db.DaoMaster;
import com.junmp.print.dao.db.JpTabConfigDao;
import com.junmp.print.dao.db.JpTabCpjyjlDao;
import com.junmp.print.dao.db.JpTabCpjyjljgDao;
import com.junmp.print.dao.db.JpTabDjTempDao;
import com.junmp.print.dao.db.JpTabFwqdDao;
import com.junmp.print.dao.db.JpTabFwqdjyDao;
import com.junmp.print.dao.db.JpTabInoutTmpDao;
import com.junmp.print.dao.db.JpTabMbDao;
import com.junmp.print.dao.db.JpTabSysConfigDao;
import com.junmp.print.dao.db.JpTabTpRfidTempDao;
import com.junmp.print.dao.db.JpTabWzjyDao;
import com.junmp.print.dao.db.TabBzglWzdmDao;
import com.junmp.print.dao.db.TabBzglXtbzdwDao;
import com.junmp.print.dao.db.TabPzmxbWzdmJxcknewPmkDao;
import com.junmp.print.dao.db.TabPzzbJxcknewPmkDao;

import org.greenrobot.greendao.database.Database;

/**
 * <pre>
 * 描述：
 * 版本：1.0
 * 日期：2018/5/10
 * 作者：wangq@junmp.com.cn
 * </pre>
 */

public class HMROpenHelper extends DaoMaster.OpenHelper {

    public HMROpenHelper(Context context, String name, SQLiteDatabase.CursorFactory factory) {
        super(context, name, factory);
    }

    /**
     * 数据库升级
     * @param db
     * @param oldVersion
     * @param newVersion
     */
    @Override
    public void onUpgrade(Database db, int oldVersion, int newVersion) {
        //操作数据库的更新 有几个表升级都可以传入到下面
        MigrationHelper.getInstance().migrate(db,JpTabConfigDao.class,JpTabCpjyjlDao.class,JpTabCpjyjljgDao.class,JpTabDjTempDao.class,JpTabFwqdDao.class,
                JpTabFwqdjyDao.class,JpTabInoutTmpDao.class,JpTabMbDao.class,JpTabSysConfigDao.class,JpTabTpRfidTempDao.class,JpTabWzjyDao.class,
                TabBzglWzdmDao.class,TabBzglXtbzdwDao.class,TabPzmxbWzdmJxcknewPmkDao.class,TabPzzbJxcknewPmkDao.class);
    }

}
