package com.junmp.print.presenter;

import com.junmp.print.dao.entity.JpTabWzjy;
import com.junmp.print.dao.entity.JpTabWzjyBean;
import com.junmp.print.dao.service.JpTabWzjyService;
import com.junmp.print.iview.IRandomCheckView;
import com.junmp.print.ui.BaseActivity;
import com.junmp.print.ui.BaseFragment;
import com.junmp.print.util.TimeUtil;

import java.util.ArrayList;
import java.util.List;

/**
 * <pre>
 * 描述：
 * 版本：1.0
 * 日期：2018/5/18
 * 作者：wangq@junmp.com.cn
 * </pre>
 */

public class RandomCheckPresenter extends BaseFragmentPresenter<IRandomCheckView> {

    public RandomCheckPresenter(BaseFragment context) {
        super(context);
    }

    protected JpTabWzjyService jpTabWzjyService = new JpTabWzjyService();


    public void getWzJyTj(String start , String end) {
        try{

            int startTime = TimeUtil.getDateInt(start);
            int endTime = TimeUtil.getDateInt(end);
            List<JpTabWzjyBean> listBeans = new ArrayList<>();
            listBeans = jpTabWzjyService.getWzJyTj(startTime,endTime);
            getView().showWzJyTj(listBeans);
        }catch (Exception e){
            mContext.showMessage("Err:"+e.getMessage());
        }


    }
}
