package com.junmp.print.ui.matcheck.out.outcount;

import android.os.Bundle;
import android.widget.ListView;

import com.junmp.print.R;
import com.junmp.print.dao.entity.JpTabFwqdBean;
import com.junmp.print.dao.entity.JpTabWzjyBean;
import com.junmp.print.iview.IOutCountView;
import com.junmp.print.presenter.OutCountPresenter;
import com.junmp.print.ui.BaseActivity;

import java.util.List;

import butterknife.BindView;

/**
 * <pre>
 * 描述：统计界面
 * 版本：1.0
 * 日期：2018/4/25
 * 作者：wangq@junmp.com.cn
 * </pre>
 */

public class OutCountActivity extends BaseActivity<IOutCountView,OutCountPresenter> implements IOutCountView {

    @BindView(R.id.outCount_tj_lv)
    ListView tj_lv;

    @Override
    protected OutCountPresenter createPresenter() {
        return new OutCountPresenter(this);
    }

    @Override
    protected int getLayoutContentViewId() {
        return R.layout.activity_check_out_count;
    }

    @Override
    public void initView() {

        Bundle bundle = getIntent().getExtras();
        List<JpTabFwqdBean> listBeans = (List<JpTabFwqdBean>) bundle.getSerializable("tjList");
        showList(listBeans);
    }

    private void showList(List<JpTabFwqdBean> listBeans) {
       /* tj_lv.setAdapter(new OutCountAdapter(this,listBeans));
        setListViewHeightBasedOnChildren(tj_lv);*/
    }
}
