package com.junmp.print.dao.entity;

import org.greenrobot.greendao.annotation.Entity;
import org.greenrobot.greendao.annotation.Generated;
import org.greenrobot.greendao.annotation.Id;
import org.greenrobot.greendao.annotation.Property;
import org.greenrobot.greendao.annotation.Transient;

/**
 * <pre>
 * 描述：
 * 版本：1.0
 * 日期：2018/5/10
 * 作者：wangq@junmp.com.cn
 * </pre>
 */
@Entity ( nameInDb = "jp_tab_fwqd")
public class JpTabFwqd {

    @Id(autoincrement = true)
    @Property(nameInDb = "id")
    private Long id;

    /**
     *工作年度
     */
    @Property(nameInDb = "Qydwdm")
    private String Qydwdm;

    /**
     *企业单位代码
     */
    @Property(nameInDb = "Qydwmc")
    private String Qydwmc;

    /**
     *运输计划编号
     */
    @Property(nameInDb = "Ysjhbh")
    private String Ysjhbh;

    /**
     *清单号
     */
    @Property(nameInDb = "Qdh")
    private String Qdh;

    /**
     *企业单位代码
     */
    @Property(nameInDb = "Swdwdm")
    private String Swdwdm;

    /**
     *收物单位名称
     */
    @Property(nameInDb = "Swdwmc")
    private String Swdwmc;

    /**
     *接受单位代码
     */
    @Property(nameInDb = "Jsdwdm")
    private String Jsdwdm;

    /**
     *接受单位名称
     */
    @Property(nameInDb = "Jsdwmc")
    private String Jsdwmc;

    /**
     *校验物资的时间
     */
    @Property(nameInDb = "Jydate")
    private String Jydate;

    /**
     *物资代码
     */
    @Property(nameInDb = "Wzdm")
    private String Wzdm;

    /**
     *物资名称
     */
    @Property(nameInDb = "Zbqmc")
    private String Zbqmc;

    /**
     *号型代码
     */
    @Property(nameInDb = "Hxdm")
    private String Hxdm;

    /**
     *物资号型
     */
    @Property(nameInDb = "Hx")
    private String Hx;

    /**
     *临时码
     */
    @Property(nameInDb = "Lsm")
    private String Lsm;

    /**
     *品名数量
     */
    @Property(nameInDb = "Pmsl")
    private String Pmsl;

    /**
     *包装数量
     */
    @Property(nameInDb = "Bzs")
    private String Bzs;

    /**
     *是否扫描完全
     */
    @Property(nameInDb = "IsOK")
    //DEFAULT N
    private String IsOK = "N";

    /**
     *是否导出
     */
    @Property(nameInDb = "IsOut")
    //DEFAULT N
    private String IsOut = "N";

    /**
     *校验到的物资数量
     */
    @Property(nameInDb = "Jynum")
    //DEFAULT 0
    private String Jynum = "0";

    /**
     *已校验的物资数量
     */
    @Transient
    private Integer reJynum;

    /**
     *产商代码
     */
    @Transient
    private String strCsdm;

    /**
     *产商名称
     */
    @Transient
    private String strCsname;

    /**
     *工作年度
     */
    @Property(nameInDb = "Gznd")
    private String Gznd;

    /**
     *版本号
     */
    @Property(nameInDb = "JVer")
    private String JVer;

    @Generated(hash = 439772730)
    public JpTabFwqd(Long id, String Qydwdm, String Qydwmc, String Ysjhbh,
            String Qdh, String Swdwdm, String Swdwmc, String Jsdwdm, String Jsdwmc,
            String Jydate, String Wzdm, String Zbqmc, String Hxdm, String Hx,
            String Lsm, String Pmsl, String Bzs, String IsOK, String IsOut,
            String Jynum, String Gznd, String JVer) {
        this.id = id;
        this.Qydwdm = Qydwdm;
        this.Qydwmc = Qydwmc;
        this.Ysjhbh = Ysjhbh;
        this.Qdh = Qdh;
        this.Swdwdm = Swdwdm;
        this.Swdwmc = Swdwmc;
        this.Jsdwdm = Jsdwdm;
        this.Jsdwmc = Jsdwmc;
        this.Jydate = Jydate;
        this.Wzdm = Wzdm;
        this.Zbqmc = Zbqmc;
        this.Hxdm = Hxdm;
        this.Hx = Hx;
        this.Lsm = Lsm;
        this.Pmsl = Pmsl;
        this.Bzs = Bzs;
        this.IsOK = IsOK;
        this.IsOut = IsOut;
        this.Jynum = Jynum;
        this.Gznd = Gznd;
        this.JVer = JVer;
    }

    @Generated(hash = 1442934022)
    public JpTabFwqd() {
    }

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getQydwdm() {
        return this.Qydwdm;
    }

    public void setQydwdm(String Qydwdm) {
        this.Qydwdm = Qydwdm;
    }

    public String getQydwmc() {
        return this.Qydwmc;
    }

    public void setQydwmc(String Qydwmc) {
        this.Qydwmc = Qydwmc;
    }

    public String getYsjhbh() {
        return this.Ysjhbh;
    }

    public void setYsjhbh(String Ysjhbh) {
        this.Ysjhbh = Ysjhbh;
    }

    public String getQdh() {
        return this.Qdh;
    }

    public void setQdh(String Qdh) {
        this.Qdh = Qdh;
    }

    public String getSwdwdm() {
        return this.Swdwdm;
    }

    public void setSwdwdm(String Swdwdm) {
        this.Swdwdm = Swdwdm;
    }

    public String getSwdwmc() {
        return this.Swdwmc;
    }

    public void setSwdwmc(String Swdwmc) {
        this.Swdwmc = Swdwmc;
    }

    public String getJsdwdm() {
        return this.Jsdwdm;
    }

    public void setJsdwdm(String Jsdwdm) {
        this.Jsdwdm = Jsdwdm;
    }

    public String getJsdwmc() {
        return this.Jsdwmc;
    }

    public void setJsdwmc(String Jsdwmc) {
        this.Jsdwmc = Jsdwmc;
    }

    public String getJydate() {
        return this.Jydate;
    }

    public void setJydate(String Jydate) {
        this.Jydate = Jydate;
    }

    public String getWzdm() {
        return this.Wzdm;
    }

    public void setWzdm(String Wzdm) {
        this.Wzdm = Wzdm;
    }

    public String getZbqmc() {
        return this.Zbqmc;
    }

    public void setZbqmc(String Zbqmc) {
        this.Zbqmc = Zbqmc;
    }

    public String getHxdm() {
        return this.Hxdm;
    }

    public void setHxdm(String Hxdm) {
        this.Hxdm = Hxdm;
    }

    public String getHx() {
        return this.Hx;
    }

    public void setHx(String Hx) {
        this.Hx = Hx;
    }

    public String getLsm() {
        return this.Lsm;
    }

    public void setLsm(String Lsm) {
        this.Lsm = Lsm;
    }

    public String getPmsl() {
        return this.Pmsl;
    }

    public void setPmsl(String Pmsl) {
        this.Pmsl = Pmsl;
    }

    public String getBzs() {
        return this.Bzs;
    }

    public void setBzs(String Bzs) {
        this.Bzs = Bzs;
    }

    public String getIsOK() {
        return this.IsOK;
    }

    public void setIsOK(String IsOK) {
        this.IsOK = IsOK;
    }

    public String getIsOut() {
        return this.IsOut;
    }

    public void setIsOut(String IsOut) {
        this.IsOut = IsOut;
    }

    public String getJynum() {
        return this.Jynum;
    }

    public void setJynum(String Jynum) {
        this.Jynum = Jynum;
    }

    public String getGznd() {
        return this.Gznd;
    }

    public void setGznd(String Gznd) {
        this.Gznd = Gznd;
    }

    public String getJVer() {
        return this.JVer;
    }

    public void setJVer(String JVer) {
        this.JVer = JVer;
    }



  


}
