package com.junmp.print.dao.entity;

import android.util.Log;

import com.junmp.print.dao.service.CommonService;
import com.junmp.print.util.LogUtils;
import com.junmp.print.util.StringUtils;
import com.junmp.print.util.TimeUtil;

import java.util.List;

/**
 * <pre>
 * 描述：
 * 版本：1.0
 * 日期：2018/5/30
 * 作者：wangq@junmp.com.cn
 * </pre>
 */

public class ProductEpc {

    CommonService commonService = new CommonService();

    ProductEpc128 pro128 = new ProductEpc128();
    ProductEpc144 pro144 = new ProductEpc144();
    ProductEpc176 pro176 = new ProductEpc176();
    ProductEpc196 pro196 = new ProductEpc196();

    private Integer index;
    private Integer listIndex;
    private Integer sq = 0;
    private Integer wq = 0;
    private Integer hj = 0;
    private String strEpcs;
    private String isOk;
    //7 String.valueOf(pro.getiZbNo())  + "/" + String.valueOf(pro.getiZbAll())
    private String strZbAndAll;

    private Integer ibqs = 0;//标签数，tagListview 中使用

    private String strBqs = "";//标签数，tagListview 中使用   ibqs/iZbAll

    private String strSubEpc;
    //标签epc长度
    private int iTagLength = 42;

    private String strCopyright = "00";
    //数据库中的版本号 十进制
    private int iCopyright;
    //EPC中标签类型 1位十进制 0-F 0-单品物资标签，1-箱标签，2-托盘标签，3-货架标签，4-批物资标签
    private String strTagType = "1";

    //EPC中对应企业代码 6位十进制 000000-FFFFFF
    private String strSCCSNo = "0";

    //数据库中生产企业代码
    private String strSccsCode;

    //生产企业名称
    private String strSCCSName = "";

    //epc中包装类型 1位十六进制 0-F 1-外包装
    // ，2-中安装，3-内包装，F-零头配箱
    private String strBzType;

    //EPC中物资代码,LSM 8位十进制 00000000-FFFFFFFF
    private String strWzLsm = "0";

    //数据库中物资代码 LSM
    private Long iWzLsm;

    //EPC中物资代码,52码 9位十进制 000000000-FFFFFFFFF
    private String  strWzNo = "0";

    //数据库中物资代码 52m码
    private Long iWzNo;

    //物资名称
    private String strWzName = "";

    //号型名称
    private String strWzHXName = "";

    //Epc 中生产日期
    private String strScrq;

    //数据库 中生产日期
    private Integer dtScrq;

    //Epc中下级包装数量 2位十六进制 00-FF
    private String strXjbzsl = "0";

    //数据库中下级包装数量
    private Integer iXjbzsl;

    //EPC中产品总数量 3位十六进制 000-FFF
    private String strNum = "0";

    //数据库中产品总数量
    private Integer iNum;

    //epc 中企业生产线序号 1位十六进制 0-F 十六进制 0-E表示生产线序列号，F表示军需仓库打印的标签
    private String strScxNo = "0";

    //数据库中十进制企业生产线序号
    private Integer iScxNo;

    //epc 中包装箱序号 3位十六进制 000-FFF
    private String strXiangNo;

    //数据库中 十进制包装箱序号
    private Integer iXangNo;

    //箱序列号 生产线序号+包装箱序号
    private String strXSerialNo;

    //epc中组别号码 1位十六进制 0-F
    private String strZbhm = "0";

    //相同epc组别中共有几个
    private Integer iZbAll;

    //相同epc组别中第几个
    private Integer iZbNo;

    //epc中校验码 1位十六进制
    private String strJiaoYan = "0";

    //epc中箱内序号 2位 00-FF
    private String strXnSerialno = "00";

    //数据库中箱内序号
    private Integer iXnSerialno;

    //epc
    private String strEpc;

    //起始箱号
    private Integer iStartXNo = 0;

    public String getStrZbAndAll() {
        return strZbAndAll;
    }

    public void setStrZbAndAll(String strZbAndAll) {
        this.strZbAndAll = strZbAndAll;
    }

    public Integer getIbqs() {
        return ibqs;
    }

    public void setIbqs(Integer ibqs) {
        this.ibqs = ibqs;
    }

    public String getStrBqs() {
        return strBqs;
    }

    public void setStrBqs(String strBqs) {
        this.strBqs = strBqs;
    }

    public Integer getHj() {
        return hj;
    }

    public void setHj(Integer hj) {
        this.hj = hj;
    }

    public Integer getSq() {
        return sq;
    }

    public void setSq(Integer sq) {
        this.sq = sq;
    }

    public Integer getWq() {
        return wq;
    }

    public void setWq(Integer wq) {
        this.wq = wq;
    }

    public Integer getIndex() {
        return index;
    }

    public void setIndex(Integer index) {
        this.index = index;
    }

    public Integer getListIndex() {
        return listIndex;
    }

    public void setListIndex(Integer listIndex) {
        this.listIndex = listIndex;
    }

    public String getStrEpcs() {
        return strEpcs;
    }

    public void setStrEpcs(String strEpcs) {
        this.strEpcs = strEpcs;
    }

    public String getIsOk() {
        return isOk;
    }

    public void setIsOk(String isOk) {
        this.isOk = isOk;
    }

    public String getStrSubEpc() {
        return strSubEpc;
    }

    public void setStrSubEpc(String strSubEpc) {
        this.strSubEpc = strSubEpc;
    }

    public int getiTagLength() {
        return iTagLength;
    }

    public void setiTagLength(int iTagLength) {
        this.iTagLength = iTagLength;
    }

    public String getStrCopyright() {
        return strCopyright;
    }

    public void setStrCopyright(String strCopyright) {
        this.strCopyright = strCopyright;
    }

    public int getiCopyright() {
        return iCopyright;
    }

    public void setiCopyright(int iCopyright) {
        this.iCopyright = iCopyright;
    }

    public String getStrTagType() {
        return strTagType;
    }

    public void setStrTagType(String strTagType) {
        this.strTagType = strTagType;
    }

    public String getStrSCCSNo() {
        return strSCCSNo;
    }

    public void setStrSCCSNo(String strSCCSNo) {
        this.strSCCSNo = strSCCSNo;
    }

    public String getStrSccsCode() {
        return strSccsCode;
    }

    public void setStrSccsCode(String strSccsCode) {
        this.strSccsCode = strSccsCode;
    }

    public String getStrSCCSName() {
        return strSCCSName;
    }

    public void setStrSCCSName(String strSCCSName) {
        this.strSCCSName = strSCCSName;
    }

    public String getStrBzType() {
        return strBzType;
    }

    public void setStrBzType(String strBzType) {
        this.strBzType = strBzType;
    }

    public String getStrWzLsm() {
        return strWzLsm;
    }

    public void setStrWzLsm(String strWzLsm) {
        this.strWzLsm = strWzLsm;
    }

    public Long getiWzLsm() {
        return Long.valueOf(this.strWzLsm,16);//16转10
        //return iWzLsm;
    }

    public void setiWzLsm(Long iWzLsm) {
        //this.iWzLsm = iWzLsm;
        this.strWzLsm = Long.toHexString(iWzLsm);
    }

    public String getStrWzNo() {
        return strWzNo;
    }

    public void setStrWzNo(String strWzNo) {
        this.strWzNo = strWzNo;
    }

    public Long getiWzNo() {
        return Long.valueOf(this.strWzNo,16);
        //return iWzNo;
    }

    public void setiWzNo(Long iWzNo) {
        //this.iWzNo = iWzNo;
        this.strWzNo = Long.toHexString(iWzNo);
    }

    public String getStrWzName() {
        return strWzName;
    }

    public void setStrWzName(String strWzName) {
        this.strWzName = strWzName;
    }

    public String getStrWzHXName() {
        return strWzHXName;
    }

    public void setStrWzHXName(String strWzHXName) {
        this.strWzHXName = strWzHXName;
    }

    public String getStrScrq() {
        return strScrq;
    }

    public void setStrScrq(String strScrq) {
        this.strScrq = strScrq;
    }

    public Integer getDtScrq() {
        return dtScrq;
    }

    public void setDtScrq(Integer dtScrq) {
        this.dtScrq = dtScrq;
    }

    public String getStrXjbzsl() {
        return strXjbzsl;
    }

    public void setStrXjbzsl(String strXjbzsl) {
        this.strXjbzsl = strXjbzsl;
    }

    public Integer getIXjbzsl() {
        return Integer.valueOf(strXjbzsl,16);
        //return iXjbzsl;
    }

    public void setIXjbzsl(Integer iXjbzsl) {
        //this.iXjbzsl = iXjbzsl;
        this.strXjbzsl = Integer.toHexString(iXjbzsl);
    }

    public String getStrNum() {
        return strNum;
    }

    public void setStrNum(String strNum) {
        this.strNum = strNum;
    }

    public Integer getiNum() {
        //return iNum;

        return Integer.valueOf(strNum,16);
    }

    public void setiNum(Integer iNum) {

        this.strNum = Integer.toHexString(iNum);
        //this.iNum = iNum;
    }

    public String getStrScxNo() {
        return strScxNo;
    }

    public void setStrScxNo(String strScxNo) {
        this.strScxNo = strScxNo;
    }

    public Integer getiScxNo() {

        return Integer.valueOf(strScxNo,16) + 1;
        //return iScxNo;
    }

    public void setiScxNo(Integer iScxNo) {
        //this.iScxNo = iScxNo;
        this.strScxNo = Integer.toHexString(iScxNo - 1);
    }

    public String getStrXiangNo() {
        return strXiangNo;
    }

    public void setStrXiangNo(String strXiangNo) {
        this.strXiangNo = strXiangNo;
    }

    public Integer getiXangNo() {
       // return iXangNo;
        return Integer.valueOf(strXiangNo,16);
    }

    public void setiXangNo(Integer iXangNo) {
        //this.iXangNo = iXangNo;
        this.strXiangNo = Integer.toHexString(iXangNo);
    }

    public String getStrXSerialNo() {
        return strXSerialNo;
    }

    public void setStrXSerialNo(String strXSerialNo) {
        this.strXSerialNo = strXSerialNo;
    }

    public String getStrZbhm() {
        return strZbhm;
    }

    public void setStrZbhm(String strZbhm) {
        this.strZbhm = strZbhm;
    }

    public Integer getiZbAll() {
        return iZbAll;
    }

    public void setiZbAll(Integer iZbAll) {
        this.iZbAll = iZbAll;
    }

    public Integer getiZbNo() {
        return iZbNo;
    }

    public void setiZbNo(Integer iZbNo) {
        this.iZbNo = iZbNo;
    }

    public String getStrJiaoYan() {
        return strJiaoYan;
    }

    public void setStrJiaoYan(String strJiaoYan) {
        this.strJiaoYan = strJiaoYan;
    }

    public String getStrXnSerialno() {
        return strXnSerialno;
    }

    public void setStrXnSerialno(String strXnSerialno) {
        this.strXnSerialno = strXnSerialno;
    }

    public Integer getiXnSerialno() {
        //return iXnSerialno;
        return Integer.valueOf(strXnSerialno,16);
    }

    public void setiXnSerialno(Integer iXnSerialno) {
        //this.iXnSerialno = iXnSerialno;
        this.strXnSerialno = Integer.toHexString(iXnSerialno);
    }

    public String getStrEpc() {
        return strEpc;
    }

    public void setStrEpc(String strEpc) {
        this.strEpc = strEpc;
        if(strEpc.contains(",")){
            //多标签的情况
            this.iTagLength = strEpc.split(",")[0].length();
        }else{
            this.iTagLength = strEpc.length();
        }
    }

    public Integer getiStartXNo() {
        return iStartXNo;
    }

    public void setiStartXNo(Integer iStartXNo) {
        this.iStartXNo = iStartXNo;
    }

    public String createEpc(){
        switch(iTagLength){
            case 52:
                strEpc = pro196.packEpe();
                break;
            case 44:
                strEpc = pro176.creatEpc();
                break;
            case 36:
                strEpc = pro144.creatEpc();
                break;
            case 32:
                strEpc = pro128.creatEpc();
                break;
        }
        return strEpc;
    }

    public void getInfoFormEpc(){
        switch(iTagLength){
            case 52://196
                try{
                   pro196.unPackEpc(strEpc.substring(0,49));
                   this.strSubEpc = strEpc.substring(0,41) + strEpc.substring(43,49);
                   this.strCopyright = pro196.getStrHexVersion();
                   this.strTagType = pro196.getStrHexTagType();

                   this.strSccsCode = StringUtils.trimStart(pro196.getStrOrgCode());//去除前面的0
                   this.strBzType = pro196.getStrHexPacktype().toUpperCase();
                   this.strWzLsm = pro196.getStrHexProductCode();

                   this.strScrq = pro196.getStrHexScrq();
                   this.dtScrq = pro196.getDtScrq();
                   this.strXjbzsl = pro196.getStrHexInsidePackNum();
                   this.strNum = pro196.getStrHexProductNum();
                   this.strScxNo = pro196.getStrHexProductLine();
                   this.strXiangNo = pro196.getStrHexPackSerialNo();
                   this.strXSerialNo = String.valueOf(this.iScxNo) + "/" + String.valueOf(this.iXangNo);
                   this.strZbhm = pro196.getStrHexGroupNo();
                   this.iZbAll = pro196.getiZbAll();
                   this.iZbNo = pro196.getiZbNo();
                   this.strJiaoYan = pro196.getStrHexCRCCode();
                }catch (Exception e){
                    Log.e("getInfoFormEpc 52 Err",e.getMessage());
                }
                break;
            case 44://176
                try{
                    pro176.setStrEpc(strEpc);
                    pro176.getInfoFromEpc();

                    this.strSubEpc = strEpc.substring(0,42) ;

                    this.strCopyright = pro176.getStrCopyright();
                    this.strTagType= pro176.getStrTagType();
                    this.strSCCSNo = pro176.getStrSCCSNo();
                    this.strSccsCode = pro176.getStrSccsCode();
                    this.strBzType = pro176.getStrBzType();
                    this.strWzLsm = pro176.getStrWzLsm();
                    this.strWzNo = pro176.getStrWzNo();

                    this.strScrq = pro176.getStrScrq();
                    this.dtScrq = pro176.getDtScrq();
                    this.strXjbzsl = pro176.getStrXjbzsl();
                    this.strNum = pro176.getStrNum();
                    this.strScxNo = pro176.getStrScxNo();
                    this.strXiangNo = pro176.getStrXiangNo();
                    this.strXSerialNo = String.valueOf(this.iScxNo) + "/" + String.valueOf(this.iXangNo);
                    this.strZbhm = pro176.getStrZbhm();
                    this.iZbAll = pro176.getiZbAll();
                    this.iZbNo = pro176.getiZbNo();
                    this.strJiaoYan = pro176.getStrJiaoYan();
                }catch (Exception e){
                    Log.e("Err",e.getMessage());
                }
                break;
            case 36://144
                try{
                    pro144.setStrEpc(strEpc);
                    pro144.getInfoFromEpc();

                    this.strCopyright = pro144.getStrCopyright();
                    this.strTagType= pro144.getStrTagType();
                    this.strSCCSNo = pro144.getStrSCCSNo();
                    this.strSccsCode = pro144.getStrSccsCode();
                    this.strBzType = pro144.getStrBzType();
                    this.strWzLsm = pro144.getStrWzLsm();

                    this.strScrq = pro144.getStrScrq();
                    this.dtScrq = pro144.getDtScrq();
                    this.strXjbzsl = pro144.getStrXjbzsl();
                    this.strNum = pro144.getStrNum();
                    this.strScxNo = pro144.getStrScxNo();
                    this.strXiangNo = pro144.getStrXiangNo();
                    this.strXSerialNo = String.valueOf(this.iScxNo) + "/" + String.valueOf(this.iXangNo);
                    this.iZbAll = pro144.getiBqAll();
                    this.iZbNo = pro144.getiBqNo();
                    this.strJiaoYan = pro144.getStrJiaoYan();
                }catch (Exception e){}

                break;
            case 32://128
                try{
                    pro128.setStrEpc(strEpc);
                    pro128.getInfoFromEpc();

                    this.strTagType= pro128.getStrTagType();
                    this.strSCCSNo = pro128.getStrSCCSNo();
                    this.strSccsCode = pro128.getStrSccsCode();
                    this.strBzType = pro128.getStrBzType();

                    this.strScrq = pro128.getStrScrq();
                    this.dtScrq = pro128.getDtScrq();
                    this.strXjbzsl = pro128.getStrXjbzsl();
                    this.strNum = pro128.getStrNum();
                    this.strXSerialNo = pro128.getStrXSerialno();
                    this.strXnSerialno = pro128.getStrXnSerialno();
                    this.strJiaoYan = pro128.getStrJiaoYan();
                }catch (Exception e){
                    Log.e("Err",e.getMessage());
                }

                break;
            case 24:
                this.strTagType = strEpc.substring(0,1);
                break;
        }
    }

    public void getSCCSInfo(){

        if(this.strTagType.equals("1")){
            switch(iTagLength){
                case 52:
                    List<TabBzglWzdmBean> ds = commonService.getSCCSInfo(this.strSccsCode);
                    if(ds.size() > 0){
                        this.strSCCSName = ds.get(0).getStrcsmc();
                    }
                    break;
                case 44:
                    pro176.getSCCSInfo();
                    this.strSCCSNo = pro176.getStrSCCSNo();
                    this.strSccsCode = pro176.getStrSccsCode();
                    this.strSCCSName = pro176.getStrSCCSName();

                    break;
                case 36:
                    pro144.getSCCSInfo();
                    this.strSCCSNo = pro144.getStrSCCSNo();
                    this.strSccsCode = pro144.getStrSccsCode();
                    this.strSCCSName = pro144.getStrSCCSName();
                    break;
                case 32:
                    pro128.getSCCSInfo();
                    this.strSCCSNo = pro128.getStrSCCSNo();
                    this.strSccsCode = pro128.getStrSccsCode();
                    this.strSCCSName = pro128.getStrSCCSName();
                    break;
            }
        }

    }


    //多标签判断方法
    public Boolean isSameBox(String epc){
        Boolean bl = false;
        switch(iTagLength){
            case 52:
                if(epc.length() == 52){
                    String temp = epc.substring(0,41) + epc.substring(43,49);
                    Log.e("箱号", strXiangNo);
                    Log.e("待判断箱号", temp);
                    if(this.strSubEpc.equals(temp)){
                        bl = true;
                        Log.e("箱号", strXiangNo);
                        Log.e("原来箱子", strSubEpc);
                        Log.e("现在箱子", temp);
                    }
                }
                break;
            case 44:
                if(epc.length() == 44 && this.strSubEpc.equals(epc.substring(0,42))){
                  bl = true;
                }
                break;
            case 36:

                break;
        }
        return bl;
    }

    public void getWZHXInfo(){
        if(this.strTagType.equals("1")){
            switch(iTagLength){
                case 52:    //String.valueOf(this.getiWzLsm())
                    List<TabBzglWzdmBean> ds = commonService.getWZHXInfoByLsm(String.valueOf(this.getiWzLsm()));
                    //List<TabBzglWzdm> list = commonService.loadAll();
                    if(ds.size() > 0){
                        this.strWzNo = ds.get(0).getStrwzdm();
                        //this.iWzNo = Long.parseLong(ds.get(0).getStrwzdm(),16);
                        this.strWzName = ds.get(0).getStrwzmc();
                        this.strWzHXName = ds.get(0).getStrwzhx();
                    }
                    break;
                case 44:
                    pro176.getWZHXInfo();
                    this.strWzLsm = pro176.getStrWzLsm();
                    this.strWzNo = pro176.getStrWzNo();
                    this.strWzName = pro176.getStrWzName();
                    this.strWzHXName = pro176.getStrWzHXName();

                    break;
                case 36:
                    pro144.getWZHXInfo();
                    this.strWzLsm = pro144.getStrWzLsm();
                    this.strWzNo = pro144.getStrWzLsm();
                    this.strWzName = pro144.getStrWzName();
                    this.strWzHXName = pro144.getStrWzHXName();
                    break;
                case 32:
                    pro128.getWZHXInfo();
                    this.strWzNo = pro128.getStrWzNo();
                    this.iWzNo = pro128.getiWzNo();
                    this.strWzName = pro128.getStrWzName();
                    this.strWzHXName = pro128.getStrWzHXName();
                    break;
            }

        }

    }


}
