package com.junmp.print.dao.entity;

import com.junmp.print.dao.service.CommonService;

import java.util.ArrayList;
import java.util.List;

/**
 * <pre>
 * 描述：
 * 版本：1.0
 * 日期：2018/6/1
 * 作者：wangq@junmp.com.cn
 * </pre>
 */

public class ProductUser {

    CommonService commonService = new CommonService();

    public String epcInfo = "";

    //用户区数据（十六进制）
    public String userInfoHex = "";

    //起始符 值03
    public String HO1 = "03";

    //RS07 RS表示标识类型指示符，值为30（十进制），07表示专用标识符
    public String HO2 = "1E07";

    //GS 标识项分隔符，用于标识数据项的结束，所有标识项之间均用GS分隔，值为29（十进制）
    public String HO3 = "1D";

    //A051 指示数量的专用标识符
    public String HO4 = "A051";

    //物资类型数量（十六进制）
    public String HO5 = "";

    //物资类型数量（十进制） 每一个类型长度是24位十六进制
    public Integer HO5_I = 0;

    //变长部分的内容（十六进制）GSA002wzdmGSA053wznum
    public String HO6 = "";

    //RS
    public String HO7 = "RS";

    //EOT 结束符 值为04（十进制）
    public String HO8 = "04";

    public List<String> HO6List = new ArrayList<>();
    public List<WzInfo> WzList = new ArrayList<>();

    //解析用户区数据
    public void getInfo(){
        //混箱规则 不含标识符
        HO5_I = userInfoHex.length()/12;

        for(int i=0;i<HO5_I ;i++){
            try{
                String temp = userInfoHex.substring(12*i,12);
                HO6List.add(temp);
                WzInfo wztmp = new WzInfo();
                wztmp.lsm = String.valueOf(Long.parseLong(temp.substring(0,9),16));
                wztmp.wznum = Integer.parseInt(temp.substring(9,3));
                WzList.add(wztmp);

            }catch (Exception e){

            }
        }

    }

    public void getWzInfo(){

        for(int i=0;i<HO5_I ;i++){
            try{
               if(WzList.get(i).wzname.equals("")){
                   List<TabBzglWzdmBean> listBeans = commonService.getWZHXInfoByLsm(WzList.get(i).lsm);
                   if(listBeans.size()>0){
                       WzList.get(i).wzdm = listBeans.get(0).getStrwzdm();
                       WzList.get(i).wzname = listBeans.get(0).getStrwzmc();
                       WzList.get(i).wzhx = listBeans.get(0).getStrwzhx();
                   }
               }

            }catch (Exception e){

            }
        }

    }

}
