package com.junmp.print.dao.service;

import android.database.Cursor;

import com.junmp.print.PrintApplication;
import com.junmp.print.dao.entity.JpTabDjTemp;

import java.util.ArrayList;
import java.util.List;

/**
 * <pre>
 * 描述：
 * 版本：1.0
 * 日期：2018/5/24
 * 作者：wangq@junmp.com.cn
 * </pre>
 */

public class JpTabDjTempService {

    /**
     * 新增记录
     */
    public void insert(JpTabDjTemp jpTabDjTemp) {

        long listBeans =  PrintApplication.getDaoSession().getJpTabDjTempDao().insert(jpTabDjTemp);
    }

    /**
     *删除
     */
    public  boolean deleteDjTemp() {
        boolean flag = false;
        try{
            PrintApplication.getDaoSession().getJpTabDjTempDao().deleteAll();
            flag = true;
        } catch(Exception e){
            e.printStackTrace();
        }
        return flag;
    }

    /**
     * 查询DJID
     */
    public List<JpTabDjTemp> getDj() {
        List<JpTabDjTemp> listBeans = new ArrayList<>();
        String sql = "select distinct DJID as DJID from JP_TAB_DJ_TEMP";
        Cursor cursor = PrintApplication.getDaoSession().getDatabase().rawQuery (sql,null);
        //判断游标是否为空
        if(cursor.moveToFirst()) {
            //遍历游标
            for(int i=0;i<cursor.getCount();i++){
                cursor.move(i);
                JpTabDjTemp bean = new JpTabDjTemp();
                bean.setDJID(cursor.getString(0));
                listBeans.add(bean);
            }
        }
        return listBeans;
    }

    /**
     * 查询
     */
    public List<JpTabDjTemp> getWzpm(String djid) {
        List<JpTabDjTemp> listBeans = new ArrayList<>();
        String sql = "select distinct MANAME as MANAME from JP_TAB_DJ_TEMP where DJID = '" + djid + "'";
        Cursor cursor = PrintApplication.getDaoSession().getDatabase().rawQuery (sql,null);
        //判断游标是否为空
        if(cursor.moveToFirst()) {
            //遍历游标
            for(int i=0;i<cursor.getCount();i++){
                cursor.move(i);
                JpTabDjTemp bean = new JpTabDjTemp();
                bean.setDJID(cursor.getString(0));
                listBeans.add(bean);
            }
        }
        return listBeans;
    }

    /**
     * 查询
     */
    public List<JpTabDjTemp> getXh(String djid,String maname) {
        List<JpTabDjTemp> listBeans = new ArrayList<>();
        String sql = "select MANAME,YQUANTITY,DWFH,MAID from JP_TAB_DJ_TEMP where DJID = '" + djid + "'and MANAME = '" + maname +"'";
        Cursor cursor = PrintApplication.getDaoSession().getDatabase().rawQuery (sql,null);
        //判断游标是否为空
        if(cursor.moveToFirst()) {
            //遍历游标
            for(int i=0;i<cursor.getCount();i++){
                cursor.move(i);
                JpTabDjTemp bean = new JpTabDjTemp();
                bean.setDJID(cursor.getString(0));
                listBeans.add(bean);
            }
        }
        return listBeans;
    }
}
