package com.junmp.print.ui.matcheck.random;

import android.annotation.SuppressLint;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Handler;
import android.os.Message;
import android.util.Log;
import android.view.KeyEvent;
import android.view.View;
import android.widget.AbsListView;
import android.widget.Button;
import android.widget.LinearLayout;
import android.widget.ListView;
import android.widget.ScrollView;
import android.widget.SimpleAdapter;
import android.widget.TextView;
import android.widget.Toast;

import com.junmp.print.MainActivity;
import com.junmp.print.R;
import com.junmp.print.app.UserCache;
import com.junmp.print.dao.entity.JpTabConfig;
import com.junmp.print.dao.entity.JpTabWzjy;
import com.junmp.print.dao.entity.ProductEpc;
import com.junmp.print.dao.service.JpTabConfigService;
import com.junmp.print.dao.service.JpTabWzjyService;
import com.junmp.print.iview.ICheckRandomView;
import com.junmp.print.presenter.CheckRandomPresenter;
import com.junmp.print.ui.BaseActivity;
import com.junmp.print.util.LogUtils;
import com.junmp.print.util.TimeUtil;
import com.junmp.print.util.UIUtil;
import com.junmp.print.util.Util;
import com.junmp.print.view.CustomTitleBar;
import com.junmp.print.view.MyListView;
import com.uhf.scanlable.UHfData;

import java.lang.ref.WeakReference;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Timer;
import java.util.TimerTask;

import butterknife.BindView;
import butterknife.OnClick;

/**
 * <pre>
 * 描述：物资随机校验
 * 版本：1.0
 * 日期：2018/4/24
 * 作者：wangq@junmp.com.cn
 * </pre>
 */

public class CheckRandomActivity  extends BaseActivity<ICheckRandomView,CheckRandomPresenter> implements ICheckRandomView {

    //主页面
    @BindView(R.id.bt_start)
    TextView bt_start;

    @BindView(R.id.bt_end)
    TextView bt_end;

    @BindView(R.id.bt_clean)
    TextView bt_clean;

    @BindView(R.id.bt_save)
    TextView bt_save;

    @BindView(R.id.check_hj_tv)
    TextView check_hj_tv;

    @BindView(R.id.check_wq_tv)
    TextView check_wq_tv;

    @BindView(R.id.check_sq_tv)
    TextView check_sq_tv;

    @BindView(R.id.check_tj_lv)
    MyListView check_tj_lv;

    @BindView(R.id.scrollView1)
    ScrollView scrollViewTj;

    @BindView(R.id.panel_wzjytj)
    LinearLayout panel_wzjytj;


    //物资校验明细页面
    @BindView(R.id.panel_wzjymx)
    LinearLayout panel_wzjymx;

    @BindView(R.id.check_tags_lv)
    MyListView check_tags_lv;

    @BindView(R.id.scrollViewTag)
    ScrollView scrollViewTag;

    @BindView(R.id.check_mx_wzName_tv)
    TextView check_mx_wzName_tv;

    @BindView(R.id.check_mx_wzhxname_tv)
    TextView check_mx_wzhxname_tv;

    @BindView(R.id.check_mx_xiang_tv)
    TextView check_mx_xiang_tv;

    @BindView(R.id.check_mx_scrq_tv)
    TextView check_mx_scrq_tv;

    @BindView(R.id.check_mx_lsm_tv)
    TextView check_mx_lsm_tv;

    @BindView(R.id.check_mx_wzdm_tv)
    TextView check_mx_wzdm_tv;

    @BindView(R.id.bt_mx_start)
    TextView bt_mx_start;

    @BindView(R.id.bt_mx_end)
    TextView bt_mx_end;

    @BindView(R.id.bt_mx_clean)
    TextView bt_mx_clean;

    @BindView(R.id.bt_mx_save)
    TextView bt_mx_save;



    //物资校验信息页面
    @BindView(R.id.panel_wzjyinfo)
    LinearLayout panel_wzjyinfo;

    @BindView(R.id.check_wzjyinfo_wzmc_tv)
    TextView check_wzjyinfo_wzmc_tv;

    @BindView(R.id.check_wzjyinfo_epcs_tv)
    TextView check_wzjyinfo_epcs_tv;

    @BindView(R.id.check_wzjyinfo_no_tv)
    TextView check_wzjyinfo_no_tv;

    @BindView(R.id.check_wzjyinfo_wzhxname_tv)
    TextView check_wzjyinfo_wzhxname_tv;

    @BindView(R.id.check_wzjyinfo_bzsl_tv)
    TextView check_wzjyinfo_bzsl_tv;

    @BindView(R.id.check_wzjyinfo_dtscrq_tv)
    TextView check_wzjyinfo_dtscrq_tv;

    @BindView(R.id.check_wzjyinfo_scqymc_tv)
    TextView check_wzjyinfo_scqymc_tv;

    @BindView(R.id.check_wzjyinfo_scline_tv)
    TextView check_wzjyinfo_scline_tv;

    @BindView(R.id.check_wzjyinfo_xiangNo_tv)
    TextView check_wzjyinfo_xiangNo_tv;

    @BindView(R.id.check_wzjyinfo_alreadyScan_tv)
    TextView check_wzjyinfo_alreadyScan_tv;

    @BindView(R.id.bt_wzjyinfo_lock)
    TextView bt_wzjyinfo_lock;

    @BindView(R.id.bt_wzjyinfo_lockend)
    TextView bt_wzjyinfo_lockend;

    @BindView(R.id.bt_wzjyinfo_unuse)
    TextView bt_wzjyinfo_unuse;

    //识别混箱明细页面

    @BindView(R.id.panel_hunXiang)
    LinearLayout panel_hunXiang;

    @BindView(R.id.check_hunXiang_xiangNo_tv)
    TextView check_hunXiang_xiangNo_tv;

    @BindView(R.id.check_hunXiang_strepc_tv)
    TextView check_hunXiang_strepc_tv;

    @BindView(R.id.check_hunXiang_strepcs_tv)
    TextView check_hunXiang_strepcs_tv;

    @BindView(R.id.check_hunXiang_dtscrq_tv)
    TextView check_hunXiang_dtscrq_tv;

    @BindView(R.id.check_hunXiang_scqymc_tv)
    TextView check_hunXiang_scqymc_tv;

    @BindView(R.id.check_hunXiang_scline_tv)
    TextView check_hunXiang_scline_tv;

    @BindView(R.id.check_hunXiang_lv)
    ListView check_hunXiang_lv;

    @BindView(R.id.bt_hunXiang_lock)
    TextView bt_hunXiang_lock;


    @BindView(R.id.bt_hunXiang_lockend)
    TextView bt_hunXiang_lockend;

    @BindView(R.id.bt_hunXiang_unuse)
    TextView bt_hunXiang_unuse;

    @BindView(R.id.customTitleBarMain)
    CustomTitleBar customTitle;

    @BindView(R.id.title)
    LinearLayout title;


    private List<String> doneEpcsList = new ArrayList<>();
    int scanCode = 0;
    private TimerTask task = null;
    private Message msg = null;
    private long mlCount = 0;
    private long mlTimerUnit = 10;
    private int totalSec, yushu, min, sec;
    //List<ProductEpc> productListItems = new ArrayList<>();
    // string strLsm + BZtype    key中添加bztype是为了区分同物资不同包装方式的数据显示
    Map<String, List<ProductEpc>> map_productListItems= new HashMap<String, List<ProductEpc>>();
    List<ProductEpc> productListItemsForLv = new ArrayList<>();
    List<ProductEpc> productListItemsForLvByPag = new ArrayList<>();
    List<ProductEpc> productMxListItems = new ArrayList<>();
    List<ProductEpc> productMxListItemsForLv = new ArrayList<>();
    List<ProductEpc> productMxListItemsForLvByPag = new ArrayList<>();//分页展示数据
    List<String> epcstrList = new ArrayList<>();
    List<Map<String, ?>> listHuxaingitems = new ArrayList<Map<String, ?>>();//listView_hunxiang 显示数据
    String[] ConameHuxiang = new String[]{"物资品名","型号","数量"};
    int tjItemPos = 0;

    private String findScrq = "";
    private String findScx = "";
    private String findScqy = "";
    private String findWzName = "";
    private String findLsm = "";
    private String findLsmAndType = "";
    private String findXiang = "";
    private String findHx = "";

    String strMsg = "";
    boolean isInit = false;
    boolean isFirst = false;

    private Integer PageIndex = 1;
    private Boolean isFind = false;

    private List<String> tjdoneEpcsList = new ArrayList<>();

    private CheckRandomAdapter tjAdapter = null;
    private SimpleAdapter huxiangAdapter = null;
    private CheckRandomTagsAdapter tagsAdapter = null;
    JpTabWzjyService jpTabWzjyService = new JpTabWzjyService();

    Calendar calendar = Calendar.getInstance();


    //获取系统的日期
    //年
    int yearNow = calendar.get(Calendar.YEAR);
    //月
    int monthNow = calendar.get(Calendar.MONTH)+1;
    //日
    int dayNow = calendar.get(Calendar.DAY_OF_MONTH);


    private boolean isInventory = false;


    private int tgStartIndex;
    private int tgEndIndex;
    private int tjStartIndex;
    private int tjEndIndex;
    private final int pageSize = 15;

    private Handler mHandler;
    private boolean isCanceled = true;
    private int MESSAGE_SUCCESS = 0;
    private int MESSAGE_FAIL = 1;
    private static final int MSG_UPDATE_LISTVIEW = 0;
    private static final int SCAN_INTERVAL = 5;
    private Timer timer;

    @Override
    protected CheckRandomPresenter createPresenter() {
        return new CheckRandomPresenter(this);
    }

    @Override
    protected int getLayoutContentViewId() {
        return R.layout.activity_check_random;
    }

    /**
     * key receiver
     */
    private long startTime = 0;
    private boolean keyUpFalg = true;
    private BroadcastReceiver keyReceiver = new BroadcastReceiver() {
        @Override
        public void onReceive(Context context, Intent intent) {
            int keyCode = intent.getIntExtra("keyCode", 0);
            // H941
            if (keyCode == 0) {
                keyCode = intent.getIntExtra("keycode", 0);
            }
            boolean keyDown = intent.getBooleanExtra("keydown", false);
            if (keyUpFalg && keyDown && System.currentTimeMillis() - startTime > 500) {
                keyUpFalg = false;
                startTime = System.currentTimeMillis();
                /*if (keyCode == KeyEvent.KEYCODE_F3) {
                    onClick(scan);
                }
*/
                if (keyCode == KeyEvent.KEYCODE_BACK) {
                    pageBack();
                }
                if (keyCode == KeyEvent.KEYCODE_F3 && isInventory){
                    switch (PageIndex){
                        case 1:
                            bt_end.performClick();
                            break;
                        case 2:
                            bt_mx_end.performClick();
                            break;
                        case 3:
                            bt_wzjyinfo_lockend.performClick();
                            break;
                        case 4:
                            bt_hunXiang_lockend.performClick();
                            break;
                    }}

                else if (keyCode == KeyEvent.KEYCODE_F3 && !isInventory){
                    switch (PageIndex){
                        case 1:
                            bt_start.performClick();
                            break;
                        case 2:
                            bt_mx_start.performClick();
                            break;
                        case 3:
                            bt_wzjyinfo_lock.performClick();
                            break;
                        case 4:
                            bt_hunXiang_lock.performClick();
                            break;

                    }}
                return;
            } else if (keyDown) {
                startTime = System.currentTimeMillis();
            } else {
                keyUpFalg = true;
            }

        }
    };

    @Override
    public boolean onKeyDown(int keyCode, KeyEvent event) {
        if (keyCode == KeyEvent.KEYCODE_BACK && event.getAction() == KeyEvent.ACTION_DOWN) {
            pageBack();
            return true;
        }
        return super.onKeyDown(keyCode, event);
    }

    @Override
    protected void onResume() {
        super.onResume();

        UHfData.lsTagList.clear();
        UHfData.dtIndexMap.clear();

        IntentFilter filter = new IntentFilter();
        filter.addAction("android.rfid.FUN_KEY");
        registerReceiver(keyReceiver, filter);
    }


    @Override
    protected void onPause() {
        super.onPause();
        mHandler.removeMessages(MSG_UPDATE_LISTVIEW);
        unregisterReceiver(keyReceiver);
    }

    private ConnectHandler connectHandler = new ConnectHandler(this);

    private static class ConnectHandler extends Handler {
        private WeakReference<CheckRandomActivity> mReference;
        private CheckRandomActivity mActivity;

        ConnectHandler(CheckRandomActivity activity) {
            mReference = new WeakReference<CheckRandomActivity>(activity);
            mActivity = mReference.get();
        }

        @Override
        public void handleMessage(Message msg) {
            if (msg.what == mActivity.MESSAGE_SUCCESS) {
                Toast.makeText(mActivity.getApplicationContext(), mActivity.getString(R.string.port_connect_success),
                        Toast.LENGTH_SHORT).show();
            } else if (msg.what == mActivity.MESSAGE_FAIL) {
                Toast.makeText(mActivity.getApplicationContext(), mActivity.getString(R.string.port_connect_fail),
                        Toast.LENGTH_SHORT).show();
            }
            super.handleMessage(msg);
        }
    }

    public void initView() {

        new UHfData(this);
        isFirst = true;
        this.bt_end.setEnabled(false);
        this.bt_clean.setEnabled(false);
        this.bt_save.setEnabled(false);
        //首页listview
        tjAdapter = new CheckRandomAdapter(this,productListItemsForLvByPag,tjListener);
        check_tj_lv.setAdapter(tjAdapter);
        check_tj_lv.setScrollView(scrollViewTj);
        check_tj_lv.setOnScrollListener(new TjScrollListener());
        tjStartIndex = 0;
        tjEndIndex = pageSize;

        //2页listview
        tagsAdapter = new CheckRandomTagsAdapter(this,productMxListItemsForLvByPag,tagsListener);
        check_tags_lv.setAdapter(tagsAdapter);
        check_tags_lv.setScrollView(scrollViewTag);
        check_tags_lv.setOnScrollListener(new ScrollListener());

        tgStartIndex = 0;
        tgEndIndex = pageSize;

        //第四页listview
        huxiangAdapter = new SimpleAdapter(this,listHuxaingitems, R.layout.activity_check_random_huxiang_item,
                ConameHuxiang,
                new int []{R.id.check_hunXiang_wzmc_lv,R.id.check_hunXiang_wzhx_lv,R.id.check_hunXiang_sl_lv});
        check_hunXiang_lv.setAdapter(huxiangAdapter);

        //返回按钮事件
        customTitle.setTitleBarLeftClickListener(titleBarLeftClickListener);

        mHandler = new Handler() {
            @Override
            public void handleMessage(Message msg) {
                if (isCanceled)
                    return;
                switch (msg.what) {
                    case MSG_UPDATE_LISTVIEW://数据更新

                        if (UHfData.lsTagList.size() > 0) {
                            parseData();
                        }
                        if (UHfData.mIsNew) {
                            new Thread(new Runnable() {

                                @Override
                                public void run() {
                                    if (!Util.soundfinished)
                                        Util.play(1, 0);
                                }
                            }).start();
                            UHfData.mIsNew = false;
                        }
                        break;
                    default:
                        break;
                }
                super.handleMessage(msg);
            }

        };
        Util.initSoundPool(this);

    }

    @OnClick({R.id.bt_start,R.id.bt_end,R.id.bt_clean,R.id.bt_save,
            R.id.bt_mx_start, R.id.bt_mx_end,R.id.bt_mx_clean,R.id.bt_mx_save,
            R.id.bt_hunXiang_unuse,R.id.bt_hunXiang_lock, R.id.bt_hunXiang_lockend,
            R.id.bt_wzjyinfo_unuse,R.id.bt_wzjyinfo_lock,R.id.bt_wzjyinfo_lockend})
    public void onViewClick(View v) {
        switch (v.getId()) {
            case R.id.bt_start:
                startScan();
                break;
            case R.id.bt_end:
                stopScan();
                break;
            case R.id.bt_clean:
                clean();
                break;
            case R.id.bt_save:
                save();
                break;
            case R.id.bt_mx_start:
                startScan();
                break;
            case R.id.bt_mx_end:
                stopScan();
                break;
            case R.id.bt_mx_clean:
                mxClear();
                break;
            case R.id.bt_mx_save:
                mxSave();
                break;
            case R.id.bt_hunXiang_unuse:
                del();
                break;
            case R.id.bt_hunXiang_lock:
                lock();
                break;
            case R.id.bt_hunXiang_lockend:
                lockend();
                break;
            case R.id.bt_wzjyinfo_unuse:
                del();
                break;
            case R.id.bt_wzjyinfo_lock:
                lock();
                break;
            case R.id.bt_wzjyinfo_lockend:
                lockend();
                break;
        }

    }

    /**作废*/
    private void del() {
        //作废当前选择中的标签，并修改显示详细列表信息和统计结果信息
        showDialog(UIUtil.getString(R.string.system_note),UIUtil.getString(R.string.del_wzinfo),
                new DialogInterface.OnClickListener() {

                    @Override
                    public void onClick(DialogInterface dialog, int which) {
                        jyDelSuer();
                    }
                },null);
    }
    /**作废确定*/
    private void jyDelSuer() {
        try{

            List<ProductEpc> productListItemsRemovelist= new ArrayList<>();//统计页面需要上传的数据中需要移出的数据
            int tjsize = 0;
            List<ProductEpc> productListItems = new ArrayList<>();
            //productListItems = map_productListItems.get(findLsm);
            productListItems = map_productListItems.get(findLsmAndType);
            if(productListItems != null){
                for(ProductEpc pc:productListItems){
                    if(tjsize < 4){
                        if(String.valueOf(pc.getiXangNo()).equals(findXiang)){//统计页面需要上传的数据中同箱号的数据
                            productListItemsRemovelist.add(pc);
                            tjsize++;
                        }
                    }else{
                        break;
                    }
                }
            }

            String wzhxForCheck = "";
            if(tjsize > 0 ){
                String[] epcs = new String[]{};
                if(PageIndex == 4){
                    epcs = check_hunXiang_strepcs_tv.getText().toString().trim().split(",");
                    wzhxForCheck = "";
                }else if(PageIndex == 3){
                    wzhxForCheck = findHx;
                    epcs = check_wzjyinfo_epcs_tv.getText().toString().trim().split(",");
                }
                for(int i=epcs.length - 1;i>=0;i--){
                    ProductEpc foundData = null;
                    for(ProductEpc pc:productListItemsRemovelist){
                        String epc = "";
                        if(pc.getStrEpc().length()>52){
                            epc = pc.getStrEpc().split(",")[0];
                        }else{
                            epc = pc.getStrEpc();
                        }
                        if(epc.equals(epcs[i])){//找到统计页面的列表详细数据
                            foundData = pc;
                            doneEpcsList.remove(epc);
                            break;
                        }
                    }
                    if(foundData !=null){
                        jpTabWzjyService.delWzJy(epcs[i],foundData.getIsOk());
                        productListItems.remove(foundData);
                        productListItemsRemovelist.remove(foundData);
                    }
                }
                if(productListItems.size() == 0){//跟新map
                    //map_productListItems.remove(findLsm);
                    map_productListItems.remove(findLsmAndType);
                }else{
                    //map_productListItems.put(findLsm,productListItems);
                    map_productListItems.put(findLsmAndType,productListItems);
                }
            }

            List<ProductEpc> productMxListItemsRemovelist= new ArrayList<>();
            int isize = 0;
            for(ProductEpc pc:productMxListItems){
                if(isize < 4){
                    if(String.valueOf(pc.getiXangNo()).equals(findXiang)){//找到详细页面的列表详细数据
                        productMxListItemsRemovelist.add(pc);
                        isize++;
                    }
                }else{
                    break;
                }
            }
            if(isize > 0 ){
                productMxListItems.removeAll(productMxListItemsRemovelist);
            }

            ProductEpc item = new ProductEpc();
            ProductEpc tjitem = new ProductEpc();
            for(int ii = tagsAdapter.getCount();ii>0;ii--){
                item = tagsAdapter.getItem(ii-1);
                String wznmForCheck = check_mx_wzName_tv.getText().toString().trim();
                if(String.valueOf(item.getiXangNo()).equals(findXiang) &&
                        TimeUtil.getDateStringShort(item.getDtScrq()).equals(findScrq)
                        //&& item.getStrWzName().equals(findWzName)
                        && item.getStrWzName().equals(wznmForCheck)
                        && item.getStrWzHXName().equals(wzhxForCheck)){
                    for(int i=tjAdapter.getCount();i>0;i--){
                        tjitem = tjAdapter.getItem(i-1);
                        if(String.valueOf(tjitem.getiWzLsm()).equals(check_mx_lsm_tv.getText().toString().trim()) &&
                                //String.valueOf(tjitem.getiXangNo()).equals(check_mx_xiang_tv.getText().toString().trim()) &&
                                TimeUtil.getDateStringShort(tjitem.getDtScrq()).equals(check_mx_scrq_tv.getText().toString().trim())
                                && tjitem.getStrWzHXName().equals(check_mx_wzhxname_tv.getText().toString().trim())){
                            int tempwq = tjitem.getWq();
                            int isq,iwq,ihj;
                            //update tj_lv中的数量信息 判断是否是扫全的箱
                            int tempHj = tjitem.getHj();
                            if(tempHj>1){
                                if(item.getIbqs() < item.getiZbAll()){
                                    //不全
                                    int tempXs = tjitem.getWq() - 1;
                                    productListItemsForLv.get(i-1).setWq(tempXs);
                                    productListItemsForLv.get(i-1).setHj(tempHj - 1);
                                    /*productListItemsForLvByPag.get(i-1).setWq(tempXs);
                                    productListItemsForLvByPag.get(i-1).setHj(tempHj - 1);*/
                                    iwq = 1;
                                    isq = 0;
                                    ihj = 1;
                                }else{
                                    int tempXs = tjitem.getSq() - 1;
                                    productListItemsForLv.get(i-1).setSq(tempXs);
                                    productListItemsForLv.get(i-1).setHj(tempHj - 1);
                                    /*productListItemsForLvByPag.get(i-1).setSq(tempXs);
                                    productListItemsForLvByPag.get(i-1).setHj(tempHj - 1);*/
                                    iwq = 0;
                                    isq = 1;
                                    ihj = 1;
                                }
                            }else{
                                //如果tj_lv中也remove了的话，就需要更新productListItems和productListItemsForLv的index

                                for(Map.Entry<String, List<ProductEpc>> str : map_productListItems.entrySet()){
                                    int jtemp = 0;
                                    List<ProductEpc> productListItemsItem = str.getValue();
                                    for(ProductEpc pro : productListItemsItem){
                                        if(pro.getIndex()>i){
                                            productListItemsItem.get(jtemp).setIndex(productListItemsItem.get(jtemp).getIndex() -1);
                                        }
                                        jtemp ++;
                                    }
                                    map_productListItems.put(str.getKey(),productListItemsItem);
                                }
                                iwq = tjitem.getWq();
                                isq = tjitem.getSq();
                                ihj = 1;
                                productListItemsForLv.remove(i-1);
                                productListItemsForLvByPag.remove(i-1);
                                int tjtemp = 0;


                                for(ProductEpc pro : productListItemsForLv){
                                    if(pro.getIndex()>i){
                                        productListItemsForLv.get(tjtemp).setIndex(productListItemsForLv.get(tjtemp).getIndex() -1);
                                        //productListItemsForLvByPag.get(tjtemp).setIndex(productListItemsForLvByPag.get(tjtemp).getIndex() -1);
                                    }
                                    tjtemp ++;
                                }
                            }

                            int hj = Integer.parseInt(check_hj_tv.getText().toString().trim()) - ihj;
                            int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) - isq;
                            int wq = Integer.parseInt(check_wq_tv.getText().toString().trim()) - iwq;
                            check_hj_tv.setText(String.valueOf(hj));
                            check_sq_tv.setText(String.valueOf(sq));
                            check_wq_tv.setText(String.valueOf(wq));
                        }
                    }
                    ////如果tag_lv中也remove了的话，就需要更新productListItems和productMxListItemsForLv的index
                    int itemp = 0;
                    for(ProductEpc pro : productMxListItems){
                        if(pro.getListIndex()>ii){
                            productMxListItems.get(itemp).setListIndex(productMxListItems.get(itemp).getListIndex() -1);
                        }
                        itemp ++;
                    }

                    productMxListItemsForLv.remove(ii -1);
                    if(productMxListItemsForLvByPag.size() >= ii){
                        productMxListItemsForLvByPag.remove(ii -1);
                    }
                    int tjtemp = 0;
                    for(ProductEpc pro : productMxListItemsForLv){
                        if(pro.getListIndex()>ii){
                            productMxListItemsForLv.get(tjtemp).setListIndex(productMxListItemsForLv.get(tjtemp).getListIndex() -1);
                            /*if(productMxListItemsForLvByPag.size() >= tjtemp + 1){
                                productMxListItemsForLvByPag.get(tjtemp).setListIndex(productMxListItemsForLvByPag.get(tjtemp).getListIndex() -1);
                            }*/
                        }
                        tjtemp ++;
                    }
                }
            }
            //更新列表
            tjAdapter.notifyDataSetChanged();
            check_tj_lv.setAdapter(tjAdapter);

           /* tagsAdapter.notifyDataSetChanged();
            check_tags_lv.setAdapter(tagsAdapter);*/

            showMessage(UIUtil.getString(R.string.cleaned));
        }catch (Exception e){
            showMessage("Err:" + e.getMessage());
        }
        panelShow(2);

    }

    /**锁定*/
    private void lock() {
        //自动降低手持机功率，根据标签唯一性，定位包装箱（当手持机距离较近时，发出相关声音），
        //同时对此包装箱新扫到的标签增加到此箱的扫到标签数，返回后，功率自动恢复原有功率
        bt_wzjyinfo_lock.setEnabled(false);
        //bt_wzjyinfo_lock.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
        bt_wzjyinfo_lock.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
        bt_wzjyinfo_lockend.setEnabled(true);
        //bt_wzjyinfo_lockend.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
        bt_wzjyinfo_lockend.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
        bt_wzjyinfo_unuse.setEnabled(false);
        //bt_wzjyinfo_unuse.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
        bt_wzjyinfo_unuse.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));

        bt_hunXiang_lock.setEnabled(false);
        //bt_hunXiang_lock.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
        bt_hunXiang_lock.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
        bt_hunXiang_lockend.setEnabled(true);
        //bt_hunXiang_lockend.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
        bt_hunXiang_lockend.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
        bt_hunXiang_unuse.setEnabled(false);
        //bt_hunXiang_unuse.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
        bt_hunXiang_unuse.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
        isFind = true;
        //设置功率
        setantpower(11);
        isInventory = false;
        doTagInventory();
    }

    /**结束锁定*/
    private void lockend() {
        //自动降低手持机功率，根据标签唯一性，定位包装箱（当手持机距离较近时，发出相关声音），
        //同时对此包装箱新扫到的标签增加到此箱的扫到标签数，返回后，功率自动恢复原有功率
        /*bt_wzjyinfo_lock.setEnabled(true);
        bt_wzjyinfo_lock.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
        bt_wzjyinfo_lockend.setEnabled(false);
        bt_wzjyinfo_lockend.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
        bt_wzjyinfo_unuse.setEnabled(true);
        bt_wzjyinfo_unuse.setBackgroundColor(UIUtil.getColor(R.color.green_bt));

        bt_hunXiang_lock.setEnabled(true);
        bt_hunXiang_lock.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
        bt_hunXiang_lockend.setEnabled(false);
        bt_hunXiang_lockend.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
        bt_hunXiang_unuse.setEnabled(true);
        bt_hunXiang_unuse.setBackgroundColor(UIUtil.getColor(R.color.green_bt));*/

        bt_wzjyinfo_lock.setEnabled(true);
        bt_wzjyinfo_lock.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
        bt_wzjyinfo_lockend.setEnabled(false);
        bt_wzjyinfo_lockend.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
        bt_wzjyinfo_unuse.setEnabled(true);
        bt_wzjyinfo_unuse.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));

        bt_hunXiang_lock.setEnabled(true);
        bt_hunXiang_lock.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
        bt_hunXiang_lockend.setEnabled(false);
        bt_hunXiang_lockend.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
        bt_hunXiang_unuse.setEnabled(true);
        bt_hunXiang_unuse.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
        isFind = false;
        doTagInventory();
        isInventory = false;
    }

    /**2页面保存按钮
     * 将当前扫描到的标签进行保存，针对扫描全的包装箱，自动修改统计信息，并不显示在详细信息列表上
     * 未扫描到的包装箱，仍然显示在统计界面和详细信息列表界面上，退出下次进入后，自动载入未扫描完成信息
     * */
    private void mxSave() {
        if(tagsAdapter.getCount() >0){
            btnEnable(false);
            JpTabWzjy wzjy = null;
            List<ProductEpc> productListItems = new ArrayList<>();
            String lsmAndType = "";
            if(check_mx_wzName_tv.getText().toString().equals("混箱")){
                lsmAndType = check_mx_lsm_tv.getText().toString().trim() + "F";
            }else{
                lsmAndType = check_mx_lsm_tv.getText().toString().trim() + "1";
            }
            productListItems = map_productListItems.get(lsmAndType);
            try{
                ProductEpc item = new ProductEpc();
                for(int i = productListItemsForLv.size() - 1;i>=0;i--){
                    item = productListItemsForLv.get(i);
                    if(item.getIbqs() >= item.getiZbAll()){
                        List<ProductEpc> removeList = new ArrayList<>();
                        List<String> removeEpc= new ArrayList<>();
                        String[] epcs = item.getStrEpc().split(",");
                        for(String epc : epcs){
                            ProductEpc foundData = null;
                            for(ProductEpc pc : productMxListItems){
                                String pcEpc = "";
                                if(pc.getStrEpc().length()>52){
                                    pcEpc = pc.getStrEpc().split(",")[0];
                                }else{
                                    pcEpc = pc.getStrEpc();
                                }
                                if(pcEpc.equals(epc)){
                                    foundData = pc;
                                    removeEpc.add(epc);
                                    break;
                                }
                            }
                            if(foundData != null){
                                wzjy = new JpTabWzjy();
                                wzjy.setStrwzepc(epc);
                                wzjy.setLsm(check_mx_lsm_tv.getText().toString().trim());
                                wzjy.setStrwzdm(check_mx_wzdm_tv.getText().toString().trim());
                                wzjy.setStrwzmc(check_mx_wzName_tv.getText().toString().trim());
                                wzjy.setStrwzhx(check_mx_wzhxname_tv.getText().toString().trim());
                                String now = TimeUtil.getDateString(yearNow,monthNow,dayNow) +"  00-00-00";
                                int startTime = TimeUtil.getDateInt(now);
                                //wzjy.setDtDate(foundData.getDtScrq());
                                wzjy.setDtDate(startTime);
                                //wzjy.setDtDate(TimeUtil.getSecondTimestamp(new Date()));
                                wzjy.setIsOk("Y");
                                wzjy.setStrXiang(String.valueOf(foundData.getiXangNo()));
                                wzjy.setStrNum(String.valueOf(foundData.getiNum()));
                                wzjy.setStrSubEpc(foundData.getStrSubEpc());
                                jpTabWzjyService.wzjy(wzjy);

                                productMxListItems.remove(foundData);//

                                String tjItemEpc =  productListItemsForLv.get(tjItemPos).getStrEpc();
                                int epcLoc = tjItemEpc.indexOf(epc);
                                if(epcLoc == 0){
                                    tjItemEpc = tjItemEpc.replace(epc+",","");
                                }else if(epcLoc != -1){
                                    tjItemEpc = tjItemEpc.replace(","+epc,"");
                                }
                                productListItemsForLv.get(tjItemPos).setStrEpc(tjItemEpc);
                                //productListItemsForLvByPag.get(tjItemPos).setStrEpc(tjItemEpc);
                            }
                           /* tjAdapter.notifyDataSetChanged();
                            check_tj_lv.setAdapter(tjAdapter);*/

                        }

                        //修改productMxListItems中的listIndex
                        int itemp = 0;
                        for(ProductEpc pro:productMxListItems){
                            if(pro.getListIndex() > i+1){
                                productMxListItems.get(itemp).setListIndex(productMxListItems.get(itemp).getListIndex() - 1);
                            }
                            itemp ++ ;
                        }

                        //修改productListItems
                        for(ProductEpc pro:productListItems){
                            if(tjItemPos == pro.getIndex()-1){
                                for(String epc : removeEpc){
                                    String proEpc = "";
                                    if(pro.getStrEpc().length()>52){
                                        proEpc = pro.getStrEpc().split(",")[0];
                                    }else{
                                        proEpc = pro.getStrEpc();
                                    }
                                    if(proEpc.equals(epc)){
                                        removeList.add(pro);
                                    }
                                }

                            }
                        }
                        productListItems.removeAll(removeList);
                        if(productListItems.size() == 0){//跟新map
                            //map_productListItems.remove(check_mx_lsm_tv.getText().toString().trim());
                            map_productListItems.remove(lsmAndType);
                        }else{
                            //map_productListItems.put(check_mx_lsm_tv.getText().toString().trim(),productListItems);
                            map_productListItems.put(lsmAndType,productListItems);
                        }

                        productMxListItemsForLv.remove(item);
                        if(productMxListItemsForLvByPag.size() >= i+ 1){
                            productMxListItemsForLvByPag.remove(item);
                        }
                        //修改productMxListItemsForLv的ListIndex
                        int tjtemp = 0;
                        for(ProductEpc pro : productMxListItemsForLv){
                            if(pro.getListIndex() > i + 1) {
                                productMxListItemsForLv.get(tjtemp).setListIndex(productMxListItemsForLv.get(tjtemp).getListIndex() - 1);
                                /*if (productMxListItemsForLvByPag.size() >= tjtemp) {
                                    productMxListItemsForLvByPag.get(tjtemp).setListIndex(productMxListItemsForLvByPag.get(tjtemp).getListIndex() - 1);
                                }*/
                            }
                            tjtemp ++;
                        }
                        tagsAdapter.notifyDataSetChanged();
                        check_tags_lv.setAdapter(tagsAdapter);
                    }
                }

            }catch (Exception e){
                showMessage("Err:" + e.getMessage());
            }
            try{
                for(int i = tjAdapter.getCount();i>0;i--) {
                    ProductEpc tjitem = new ProductEpc();
                    tjitem = tjAdapter.getItem(i - 1);

                    if (String.valueOf(tjitem.getiWzLsm()).equals(check_mx_lsm_tv.getText().toString().trim())
                            && tjitem.getStrWzHXName().equals(check_mx_wzhxname_tv.getText().toString().trim())) {

                        int tempwq = tjitem.getWq();
                        int tempsq ;
                        tempsq = tjitem.getSq();
                        int hj = Integer.parseInt(check_hj_tv.getText().toString().trim()) - tempsq;
                        int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) - tempsq;
                        check_hj_tv.setText(String.valueOf(hj));
                        check_sq_tv.setText(String.valueOf(sq));
                        if(tempwq == 0){
                            //删除当前统计信息时，同时修改其他详细数据的index
                                for(Map.Entry<String, List<ProductEpc>> str : map_productListItems.entrySet()){
                                    List<ProductEpc> productListItemsItem = str.getValue();
                                    if(productListItemsItem.get(0).getIndex()>i){
                                        for(int x = 0;x<productListItemsItem.size();x++){
                                            productListItemsItem.get(x).setIndex(productListItemsItem.get(x).getIndex() -1);
                                        }
                                        map_productListItems.put(str.getKey(),productListItemsItem);//跟新map
                                    }
                                }
                            productListItemsForLv.remove(i-1);
                            if(productListItemsForLvByPag.size() >= i ){
                                productListItemsForLvByPag.remove(i-1);
                            }
                        }else{
                            productListItemsForLv.get(i-1).setHj(tempwq);
                            productListItemsForLv.get(i-1).setSq(0);
                            /*if(productListItemsForLvByPag.size() >= i){
                                productListItemsForLv.get(i-1).setHj(tempwq);
                                productListItemsForLv.get(i-1).setSq(0);
                            }*/
                        }

                        //修改其他选项的Index
                        int itemp = 0;
                        for(ProductEpc pro : productListItemsForLv){
                            if(pro.getIndex() > i){
                                productListItemsForLv.get(itemp).setIndex(productListItemsForLv.get(itemp).getIndex() - 1);
                               /* if(productListItemsForLvByPag.size() >= itemp + 1){
                                    productListItemsForLvByPag.get(itemp).setIndex(productListItemsForLvByPag.get(itemp).getIndex() - 1);
                                }*/
                            }
                            itemp++;

                        }

                        tjAdapter.notifyDataSetChanged();
                        check_tj_lv.setAdapter(tjAdapter);

                    }
                }

            }catch (Exception e){
                showMessage("Err:" + e.getMessage());
            }
        }else{
            showMessage(UIUtil.getString(R.string.no_data_need_do));
        }

    }

    /**2页面清空按钮  */
    private void mxClear() {

        try{
            if(tagsAdapter.getCount() > 0){
                showDialog(UIUtil.getString(R.string.title_clean),UIUtil.getString(R.string.clean_tags),
                        new DialogInterface.OnClickListener() {

                            @Override
                            public void onClick(DialogInterface dialog, int which) {
                                mxClearAll();
                            }
                        },null);

        }else{
                showMessage(UIUtil.getString(R.string.no_data_need_do));
            }
        }catch(Exception e){
            showMessage("Err:" + e.getMessage());
        }
    }

    private void mxClearAll() {
        List<ProductEpc> productListItems = new ArrayList<>();

        String lsmAndType = "";
        if(check_mx_wzName_tv.getText().toString().equals("混箱")){
            lsmAndType = check_mx_lsm_tv.getText().toString().trim() + "F";
        }else{
            lsmAndType = check_mx_lsm_tv.getText().toString().trim() + "1";
        }
        productListItems = map_productListItems.get(lsmAndType);
        for(ProductEpc pro : productMxListItems){
            String epc = "";
            if(pro.getStrEpc().length()>52){
                epc = pro.getStrEpc().split(",")[0];
            }else{
                epc = pro.getStrEpc();
            }
            jpTabWzjyService.delWzJyByEpc(epc);
            //productMxListItems.remove(pro);
        }
        productMxListItems.clear();
        int pos = -1;
        for(int i = tjAdapter.getCount();i>0;i--){
            ProductEpc tjitem = new ProductEpc();
            tjitem = tjAdapter.getItem(i-1);
            if(String.valueOf(tjitem.getiWzLsm()).equals(check_mx_lsm_tv.getText().toString().trim())
                    && tjitem.getStrWzHXName().equals(check_mx_wzhxname_tv.getText().toString().trim())){
                int hj = Integer.parseInt(check_hj_tv.getText().toString().trim()) - tjitem.getHj();
                int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) - tjitem.getSq();
                int wq = Integer.parseInt(check_wq_tv.getText().toString().trim()) - tjitem.getWq();
                check_hj_tv.setText(String.valueOf(hj));
                check_sq_tv.setText(String.valueOf(sq));
                check_wq_tv.setText(String.valueOf(wq));

                productListItemsForLv.remove(i-1);
                if(productListItemsForLvByPag.size() >= i){
                    productListItemsForLvByPag.remove(i-1);
                }
                tjAdapter.notifyDataSetChanged();
                check_tj_lv.setAdapter(tjAdapter);

                //删除当前需要清空物资的1页面中的详细数据
                if(productListItems.size() > 0){//更新map
                    //map_productListItems.remove(check_mx_lsm_tv.getText().toString().trim());
                    map_productListItems.remove(lsmAndType);
                }

                //修改其他物资的index
                for(Map.Entry<String, List<ProductEpc>> str : map_productListItems.entrySet()) {
                    List<ProductEpc> productListItemsItem = str.getValue();
                    if(productListItemsItem.get(0).getIndex() > i){
                        for(int x = 0;x<productListItemsItem.size();x++){
                            productListItemsItem.get(x).setIndex(productListItemsItem.get(x).getIndex() -1);
                        }
                        map_productListItems.put(str.getKey(),productListItemsItem);//跟新map
                    }
                }

                pos = i;
            }else{

            }
        }
        productMxListItemsForLv.clear();
        productMxListItemsForLvByPag.clear();
        tgStartIndex = 0;
        tgEndIndex = pageSize;
        tagsAdapter.notifyDataSetChanged();
        check_tags_lv.setAdapter(tagsAdapter);

        //修改其他选项的Index
        int itemp = 0;
        for(ProductEpc pro : productListItemsForLv){
            if(pro.getIndex() > pos){
                productListItemsForLv.get(itemp).setIndex(productListItemsForLv.get(itemp).getIndex() - 1);
                /*if(productListItemsForLvByPag.size() >= itemp+ 1){
                    productListItemsForLvByPag.get(itemp).setIndex(productListItemsForLvByPag.get(itemp).getIndex() - 1);
                }*/
            }
            itemp++;

        }

        panelShow(1);
        showMessage(UIUtil.getString(R.string.cleaned));

    }

    private void startScan() {
        try {
            setantpower(UserCache.getAntPower());
            isInventory = false;
            doTagInventory();
            showMessage(UIUtil.getString(R.string.start_scan));
            this.bt_start.setEnabled(false);
            this.bt_start.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
            this.bt_end.setEnabled(true);
            this.bt_end.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
            this.bt_clean.setEnabled(false);
            this.bt_clean.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
            this.bt_save.setEnabled(false);
            this.bt_save.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));

            this.bt_mx_start.setEnabled(false);
            this.bt_mx_start.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
            this.bt_mx_end.setEnabled(true);
            this.bt_mx_end.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
            this.bt_mx_clean.setEnabled(false);
            this.bt_mx_clean.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
            this.bt_mx_save.setEnabled(false);
            this.bt_mx_save.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
        /*}else{
            showMessage(UIUtil.getString(R.string.module_initialization_ing_wait));
        }*/
        } catch (Exception ex) {
            showMessage("ERR：" + ex.getMessage());
        }
    }

    private void stopScan() {
        try {
            //stopTimerTask();
            doTagInventory();
            isInventory = false;
            showMessage(UIUtil.getString(R.string.stop_scan));
            this.bt_start.setEnabled(true);
            this.bt_start.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
            this.bt_end.setEnabled(false);
            this.bt_end.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
            this.bt_clean.setEnabled(true);
            this.bt_clean.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
            this.bt_save.setEnabled(true);
            this.bt_save.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));

            this.bt_mx_start.setEnabled(true);
            this.bt_mx_start.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
            this.bt_mx_end.setEnabled(false);
            this.bt_mx_end.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
            this.bt_mx_clean.setEnabled(true);
            this.bt_mx_clean.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
            this.bt_mx_save.setEnabled(true);
            this.bt_mx_save.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
        } catch (Exception ex) {
            showMessage("ERR：" + ex.getMessage());
        }
    }

    public void doTagInventory() {
        isInventory = !isInventory;
        if (timer == null && isInventory) {//盘点开始
            isCanceled = false;
            timer = new Timer();
            timer.schedule(new TimerTask() {
                @Override
                public void run() {
                    UHfData.Inventory_6c(255, 0);//0单标签，1多标签；255自动；是否盘存TID，0—否，1—是，值为1时盘存到的为标签的TID
//						UHfData.Inventory_6c_Mask((byte)0, 16, 0, UHfGetData.hexStringToBytes("E200"));
                    mHandler.removeMessages(MSG_UPDATE_LISTVIEW);
                    mHandler.sendEmptyMessage(MSG_UPDATE_LISTVIEW);
                }
            }, 0, SCAN_INTERVAL);
            showMessage("正在盘点");
        } else {//盘点停止
            isCanceled = true;
            if (timer != null) {
                timer.cancel();
                timer = null;
                showMessage("结束盘点");
            }
        }
    }

    /**按钮显示*/
    private void btnEnable(Boolean bl){
        try{
            this.bt_clean.setEnabled(bl);
            this.bt_save.setEnabled(bl);
            this.bt_mx_clean.setEnabled(bl);
            this.bt_mx_save.setEnabled(bl);
            this.bt_wzjyinfo_lock.setEnabled(bl);
            this.bt_wzjyinfo_unuse.setEnabled(bl);
            this.bt_hunXiang_lock.setEnabled(bl);
            this.bt_hunXiang_unuse.setEnabled(bl);
            if(bl){
                /*this.bt_clean.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
                this.bt_save.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
                this.bt_mx_clean.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
                this.bt_mx_save.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
                this.bt_wzjyinfo_lock.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
                this.bt_wzjyinfo_unuse.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
                this.bt_hunXiang_lock.setBackgroundColor(UIUtil.getColor(R.color.green_bt));
                this.bt_hunXiang_unuse.setBackgroundColor(UIUtil.getColor(R.color.green_bt));*/

                this.bt_clean.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
                this.bt_save.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
                this.bt_mx_clean.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
                this.bt_mx_save.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
                this.bt_wzjyinfo_lock.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
                this.bt_wzjyinfo_unuse.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
                this.bt_hunXiang_lock.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
                this.bt_hunXiang_unuse.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green));
            }else{
                /*this.bt_clean.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
                this.bt_save.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
                this.bt_mx_clean.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
                this.bt_mx_save.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
                this.bt_wzjyinfo_lock.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
                this.bt_wzjyinfo_unuse.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
                this.bt_hunXiang_lock.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));
                this.bt_hunXiang_unuse.setBackgroundColor(UIUtil.getColor(R.color.green_bt_unEnable));*/

                this.bt_clean.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
                this.bt_save.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
                this.bt_mx_clean.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
                this.bt_mx_save.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
                this.bt_wzjyinfo_lock.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
                this.bt_wzjyinfo_unuse.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
                this.bt_hunXiang_lock.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
                this.bt_hunXiang_unuse.setBackground(UIUtil.getDrawable(R.drawable.btn_back_green_un));
            }

        }catch (Exception e){

            showMessage("Err:" + e.getMessage());
        }
    }

    /**
     * 将当前扫描到的标签进行保存，针对扫描全的包装箱，自动修改统计信息，并不显示在详细信息列表上
     * 未扫描全的包装箱，仍显示在统计界面和详细信息列表界面上，下次进入后，自动载入未扫描完成信息
     */
    private void save() {
        showMessage("正在保存...");

        //mPresenter.save();
        btnEnable(false);
        try{
            JpTabWzjy wzjy = null;
            for(int i = productListItemsForLv.size() -1 ;i >= 0;i--){
                String[] epcs = productListItemsForLv.get(i).getStrEpc().split(",");
                int tempwq =  productListItemsForLv.get(i).getWq();
                int tempsq = productListItemsForLv.get(i).getSq();
                List<ProductEpc> productListItems = new ArrayList<>();

                String lsmAndType = String.valueOf(productListItemsForLv.get(i).getiWzLsm()) + productListItemsForLv.get(i).getStrBzType();
                productListItems = map_productListItems.get(lsmAndType);

                for(String epc : epcs){
                    ProductEpc foundData = null;
                    String pcEpc = "";
                    for(ProductEpc pc :productListItems){
                        if(pc.getStrEpc().length()>52){
                            pcEpc = pc.getStrEpc().split(",")[0];
                        }else{
                            pcEpc = pc.getStrEpc();
                        }
                        if(pcEpc.equals(epc)){
                            foundData = pc;
                            break;
                        }
                    }
                    if(foundData !=null && foundData.getIsOk().equals("Y")){
                        wzjy = new  JpTabWzjy();
                        wzjy.setStrwzepc(pcEpc);
                        wzjy.setStrwzdm(String.valueOf(foundData.getiWzNo()));
                        wzjy.setLsm(String.valueOf(foundData.getiWzLsm()));
                        wzjy.setStrwzmc(foundData.getStrWzName());
                        wzjy.setStrwzhx(foundData.getStrWzHXName());
                        wzjy.setIsOk(foundData.getIsOk());
                        wzjy.setIsOut("N");
                        String now = TimeUtil.getDateString(yearNow,monthNow,dayNow) +"  00-00-00";
                        int startTime = TimeUtil.getDateInt(now);
                        //wzjy.setDtDate(foundData.getDtScrq());
                        wzjy.setDtDate(startTime);
                        wzjy.setStrXiang(String.valueOf(foundData.getiXangNo()));
                        wzjy.setStrNum(String.valueOf(foundData.getiNum()));
                        wzjy.setStrSubEpc(foundData.getStrSubEpc());

                        jpTabWzjyService.wzjy(wzjy);

                        productListItems.remove(foundData);

                        String tjItemEpc =  productListItemsForLv.get(foundData.getIndex() - 1).getStrEpc();
                        int epcLoc = tjItemEpc.indexOf(epc);
                        if(epcLoc == 0){
                            tjItemEpc = tjItemEpc.replace(epc+",","");
                        }else{
                            tjItemEpc = tjItemEpc.replace(","+epc,"");
                        }
                        productListItemsForLv.get(foundData.getIndex()- 1).setStrEpc(tjItemEpc);
                       /* if(productListItemsForLvByPag.size() >= foundData.getIndex() ){
                            productListItemsForLvByPag.get(foundData.getIndex()- 1).setStrEpc(tjItemEpc);
                        }*/
                    }
                }
                if(productListItems.size() == 0){
                    map_productListItems.remove(lsmAndType);
                    //map_productListItems.remove(String.valueOf(productListItemsForLv.get(i).getiWzLsm()));
                }else{
                    //map_productListItems.put(String.valueOf(productListItemsForLv.get(i).getiWzLsm()),productListItems);
                    map_productListItems.put(lsmAndType,productListItems);
                }
                int hj = Integer.parseInt(check_hj_tv.getText().toString().trim()) - tempsq;
                check_hj_tv.setText(String.valueOf(hj));
                int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) - tempsq;
                check_sq_tv.setText(String.valueOf(sq));
                if(tempwq == 0){
                    //修改其他物资的index
                    for(Map.Entry<String, List<ProductEpc>> str : map_productListItems.entrySet()) {
                        List<ProductEpc> productListItemsItem = str.getValue();
                        if(productListItemsItem.get(0).getIndex() > i + 1){
                            for(int x = 0;x<productListItemsItem.size();x++){
                                productListItemsItem.get(x).setIndex(productListItemsItem.get(x).getIndex() -1);
                            }
                            map_productListItems.put(str.getKey(),productListItemsItem);//跟新map
                        }
                    }
                    productListItemsForLv.remove(i);
                    if(productListItemsForLvByPag.size() >= i+ 1){
                        productListItemsForLvByPag.remove(i);
                    }

                    int tjtemp = 0;
                    for(ProductEpc pro : productListItemsForLv){
                        if(pro.getIndex() > i + 1){
                            productListItemsForLv.get(tjtemp).setIndex(productListItemsForLv.get(tjtemp).getIndex() - 1);
                            /*if(productListItemsForLvByPag.size() >= tjtemp+ 1){
                                productListItemsForLvByPag.get(tjtemp).setIndex(productListItemsForLvByPag.get(tjtemp).getIndex() - 1);
                            }*/
                        }
                        tjtemp ++;
                    }
                }else{
                    productListItemsForLv.get(i).setHj(tempwq);
                    productListItemsForLv.get(i).setSq(0);
                   /* if(productListItemsForLvByPag.size() >= i+ 1){
                        productListItemsForLvByPag.get(i).setHj(tempwq);
                        productListItemsForLvByPag.get(i).setSq(0);
                    }*/

                    //这边源代码未修改总统计信息
                   /* int hj = Integer.parseInt(check_hj_tv.getText().toString().trim()) - tempsq;
                    check_hj_tv.setText(hj);
                    int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) - tempsq;
                    check_sq_tv.setText(sq);*/
                }
                tjAdapter.notifyDataSetChanged();
                check_tj_lv.setAdapter(tjAdapter);



            }
            btnEnable(true);
            showMessage("保存成功" );

        }catch (Exception e){
            showMessage("Err:" + e.getMessage());
        }
    }

    /**
     * 清空页面扫描信息
     */
    private void clean() {
        if(map_productListItems.size() > 0) {
            showDialog(UIUtil.getString(R.string.title_clean),UIUtil.getString(R.string.clean),
                    new DialogInterface.OnClickListener() {

                @Override
                public void onClick(DialogInterface dialog, int which) {
                    map_productListItems.clear();
                    productListItemsForLv.clear();
                    productListItemsForLvByPag.clear();
                    tjStartIndex = 0;
                    tjEndIndex = pageSize;
                    productMxListItems.clear();
                    productMxListItemsForLv.clear();
                    productMxListItemsForLvByPag.clear();
                    tgStartIndex = 0;
                    tgEndIndex = pageSize;
                    tjAdapter.notifyDataSetChanged();
                    check_tj_lv.setAdapter(tjAdapter);
                    tagsAdapter.notifyDataSetChanged();
                    check_tags_lv.setAdapter(tagsAdapter);
                    check_hj_tv.setText("0");
                    check_sq_tv.setText("0");
                    check_wq_tv.setText("0");
                    doneEpcsList.clear();
                    showMessage(UIUtil.getString(R.string.cleaned));
                    tagListSize = 0;
                    ListIndex = 0;
                    UHfData.lsTagList.clear();
                    UHfData.dtIndexMap.clear();//清除累计的数据
                }
            },null);
        }else{
            showMessage(UIUtil.getString(R.string.no_epc_scan));
        }

    }

    //String[] Coname = new String[]{"物资品名","型号","合计","未扫全","扫全"};
    //开始计时
    public void startTimerTask() {
        if (null == timer) {
            if (null == task) {
                task = new TimerTask() {
                    @Override
                    public void run() {
                        // TODO Auto-generated method stub
                        if (null == msg) {
                            msg = new Message();
                        } else {
                            msg = Message.obtain();
                        }
                        msg.what = 1;
                        handlerTimerTask.sendMessage(msg);
                    }
                };
            }
            timer = new Timer(true);
            timer.schedule(task, mlTimerUnit, mlTimerUnit); // set timer duration
        }
    }

    //停止计时
    public void stopTimerTask() {
        if (null != timer) {
            task.cancel();
            task = null;
            timer.cancel(); // Cancel timer
            timer.purge();
            timer = null;
            handlerTimerTask.removeMessages(msg.what);
        }
        mlCount = 0;
    }

    //异步处理计时数据
    @SuppressLint("HandlerLeak")
    public Handler handlerTimerTask = new Handler() {
        @Override
        public void handleMessage(Message msg) {
            // TODO Auto-generated method stub
            switch (msg.what) {
                case 1:
                    mlCount++;
                    totalSec = 0;
                    // 100 millisecond
                    totalSec = (int) (mlCount / 100);
                    yushu = (int) (mlCount % 100);
                    // Set time display
                    min = (totalSec / 60);
                    sec = (totalSec % 60);
                    try {
                        // 100 millisecond
                        showMessage(String.format("%1$02d:%2$02d:%3$d", min, sec, yushu));
                    } catch (Exception e) {
                        showMessage("" + min + ":" + sec + ":" + yushu);
                        e.printStackTrace();
                        Log.e("MyTimer onCreate", "Format string error.");
                    }
                    break;

                default:
                    break;
            }
            super.handleMessage(msg);
        }

    };

    int tagListSize = 0;//个数
    int ListIndex = 0;
    /**
     * 解析数据*/
    private void parseData() {

        int doSize = 0;//个数
        try {
            String epcstr = "";//epc
            if(UHfData.lsTagList.size() > tagListSize ){
                doSize = UHfData.lsTagList.size() - tagListSize;//等待处理的epc
                tagListSize = UHfData.lsTagList.size();
            }
            if (doSize > 0) {
                while (doSize > 0) {
                    epcstr = UHfData.lsTagList.get(ListIndex).strEPC;
                    epcstr = String.valueOf(epcstr.replace(" ", ""));
                    //epcstr = tetsEpcs.get(ListIndex);
                    //if(!doneEpcsList.contains(epcstr)) {//已经处理的epc列表中不包含这个
                    ProductEpc product = new ProductEpc();
                    product.setStrEpc(epcstr);
                    product.getInfoFormEpc();
                    if (product.getStrEpc().substring(0, 2).equals("05") && product.getStrTagType().equals("1")) {
                        tagMethod(product);
                        doneEpcsList.add(epcstr);
                    }
                    //}
                    ListIndex++;
                    doSize--;
                }
            }

            tjAdapter.notifyDataSetChanged();
            check_tj_lv.setAdapter(tjAdapter);
        } catch (NumberFormatException e) {
            showMessage("Err:" + e.getMessage());
        }
        if (!isInventory)
            showMessage(UIUtil.getString(R.string.wait_todo));

    }

    private void tagMethod(ProductEpc pro) {
        ProductEpc foundData = null;
        List<ProductEpc> productListItems = new ArrayList<>();
        productListItems = map_productListItems.get(String.valueOf(pro.getiWzLsm()) + pro.getStrBzType());
        if(productListItems != null){
            for(ProductEpc pc : productListItems ){
                String pcEpc = "";
                if(pc.getStrEpc().length()>52){
                    pcEpc = pc.getStrEpc().split(",")[0];
                }else{
                    pcEpc = pc.getStrEpc();
                }
                if(pcEpc.equals(pro.getStrEpc())){
                    foundData = pc;
                    break;
                }
            }
        }
        if(foundData == null){
            //之前没有扫描到
            try{
                if(pro.getStrTagType().equals("1")){
                    switch (PageIndex){
                        case 1:
                            //判断是否锁定校验物资
                            if(UserCache.getIsjysd().equals("Y")){
                                pro.setStrWzName(UserCache.getStrWzName());
                                //判断是否锁定校验号型
                                if(UserCache.getIsjysdhx().equals("Y")){
                                    pro.setStrWzHXName(UserCache.getStrWzhxName());
                                    //如果扫描到的标签物资代码和号型代码与锁定的物资代码一致则处理，否则放弃
                                    String lsm = UserCache.getStrWzdm();
                                    Long iWzLsm = pro.getiWzLsm();
                                    String strWzlsm = String.valueOf(iWzLsm);
                                    if(strWzlsm.equals(lsm)){
                                        productShow(pro);
                                    }
                                }else{
                                    pro.getWZHXInfo();
                                    //如果扫描到的标签物资代码和锁定的物资代码一致则处理，否则放弃
                                    if(pro.getStrWzName().equals(UserCache.getStrWzName())){
                                        productShow(pro);
                                    }
                                }
                            }else{
                                productShow(pro);
                            }
                            break;
                        case 2:
                            //锁定校验物资，锁定校验号型
                            //如果扫描到的标签物资代码和号型代码与锁定的物资代码一致则处理，否则放弃

                            String wzname  = check_mx_wzName_tv.getText().toString().trim();
                            String wzhxname  = check_mx_wzhxname_tv.getText().toString().trim();
                            if(pro.getStrBzType().equals("F")){
                                if(pro.getStrWzName().equals(wzname)){
                                    pro.setStrWzName(wzname);
                                    pro.setStrWzHXName(wzhxname);
                                    productShow(pro);
                                    loadProducToList(pro);
                                }
                            }else{
                                String lsm = check_mx_lsm_tv.getText().toString().trim();
                                if(String.valueOf(pro.getiWzLsm()).equals(lsm)){
                                    pro.setStrWzName(wzname);
                                    pro.setStrWzHXName(wzhxname);
                                    productShow(pro);
                                    loadProducToList(pro);

                                }
                            }
                            break;
                        case 3:
                            //锁定校验物资，锁定校验号型，箱号
                            //如果扫描到的标签物资代码和号型代码与锁定的物资代码一致，并且箱号一样则处理，否则放弃
                            String wzmc = check_wzjyinfo_wzmc_tv.getTag().toString().trim();
                            String scrq  = check_wzjyinfo_dtscrq_tv.getText().toString().trim();
                            String scline  = check_wzjyinfo_scline_tv.getText().toString().trim();
                            String xaingNo  = check_wzjyinfo_xiangNo_tv.getText().toString().trim();
                            String wzname1 = check_mx_wzName_tv.getText().toString().trim();
                            String wzhxname1  = check_mx_wzhxname_tv.getText().toString().trim();

                            if(String.valueOf(pro.getiWzLsm()).equals(wzmc) && String.valueOf(pro.getiScxNo()).equals(scline)
                                    && String.valueOf(pro.getiXangNo()).equals(xaingNo) && TimeUtil.getDateStringShort(pro.getDtScrq()).equals(scrq)){
                                pro.setStrWzName(wzname1);
                                pro.setStrWzHXName(wzhxname1);
                                productShow(pro);
                                loadProducToList(pro);
                            }

                            break;
                        case 4:
                            pro.getWZHXInfo();
                            if(pro.getStrBzType().equals("F") && pro.getStrWzName().equals(findWzName)
                                    && String.valueOf(pro.getiScxNo()).equals(findScx)
                                    &&  TimeUtil.getDateStringShort(pro.getDtScrq()).equals(findScrq)){
                                showHxDetails(pro);
                                productShow(pro);
                                loadProducToList(pro);
                            }
                            break;
                    }


                }
            }catch (Exception e){

                showMessage("Err:" + e.getMessage());
            }
        }else{
            try{
                if(isFind){
                    if(String.valueOf(pro.getiWzLsm()).equals(findLsm) && String.valueOf(pro.getiScxNo()).equals(findScx)
                            && String.valueOf(pro.getiXangNo()).equals(findXiang)  && TimeUtil.getDateStringShort(pro.getDtScrq()).equals(findScrq) ){
                        if(pro.getStrBzType().toUpperCase().equals("F") && check_hunXiang_lv.getCount() ==0){

                            byte memBank = 3;
                            int startAddr = 0;
                            int reagLen = pro.getIXjbzsl() * 3;//混箱规则，不含标识符

                            //缺失
                            // 对识别模块进行操作？
                        }
                    }
                }

            }catch (Exception e){
                showMessage("Err:" + e.getMessage());
            }
        }

    }

    /**
     * 显示混箱明细*/
    private void showHxDetails(ProductEpc p) {
        try{
            ProductEpc pro = new ProductEpc();
            pro.setStrEpc(p.getStrEpc().split(",")[0]);
            pro.getInfoFormEpc();
            if(pro.getStrTagType().equals("1")){
                pro.getSCCSInfo();
                pro.getWZHXInfo();

                check_hunXiang_dtscrq_tv.setText(TimeUtil.getDateStringShort(pro.getDtScrq()));
                check_hunXiang_scqymc_tv.setText(pro.getStrSCCSName());
                check_hunXiang_scline_tv.setText(String.valueOf(pro.getiScxNo()));
                check_hunXiang_xiangNo_tv.setText(String.valueOf(pro.getiXangNo()));
                check_hunXiang_strepc_tv.setText(pro.getStrEpc().split(",")[0]);
                check_hunXiang_strepcs_tv.setText(pro.getStrEpc());

                findLsm = String.valueOf(pro.getiWzLsm());
                findLsmAndType = String.valueOf(pro.getiWzLsm()) + pro.getStrBzType();

                findWzName = pro.getStrWzName();
                findHx = pro.getStrWzHXName();
                findScqy = pro.getStrSCCSName();
                findScrq = TimeUtil.getDateStringShort(pro.getDtScrq());
                findScx = String.valueOf(pro.getiScxNo());
                findXiang = String.valueOf(pro.getiXangNo());

                Map<String, String> m = new HashMap<String, String>();
                m.put(ConameHuxiang[0], pro.getStrWzName());
                m.put(ConameHuxiang[1], pro.getStrWzHXName());
                m.put(ConameHuxiang[2], String.valueOf(pro.getiNum()));
                listHuxaingitems.add(m);

                //刷新列表数据
                huxiangAdapter.notifyDataSetChanged();
                check_hunXiang_lv.setAdapter(huxiangAdapter);
            }

        }catch (Exception e){
            showMessage("showdetails Error:" + e.getMessage());
        }
    }

    /**
     * 载入数据到listView_tags*/
    private void loadProducToList(ProductEpc pro) {
        ProductEpc foundData = null;
        for(ProductEpc pc : productMxListItems){
            String epc = "";
            if(pc.getStrEpc().length()>52){
                epc = pc.getStrEpc().split(",")[0];
            }else{
                epc = pc.getStrEpc();
            }
            if(pro.getStrEpc().equals(epc)){
                return;
            }else{
                if(pc.isSameBox(pro.getStrEpc())){
                    foundData = pc;
                    break;
                }
            }

        }

        if(foundData == null){
            //之前没有处理到该物资
            pro.setListIndex(productMxListItemsForLv.size() + 1);
            listViewMxAdd(pro);
        }else{
            //记录已存在
            pro.setListIndex(foundData.getListIndex());
            listViewMxUpdata(pro);
        }

    }

    /**
     * 对首次出现的箱，在tag_lv添加一条记录*/
    private void listViewMxAdd(ProductEpc pro) {

        ProductEpc realP = new ProductEpc();
        realP.setStrEpc(pro.getStrEpc());
        realP.getInfoFormEpc();
        realP.setListIndex(pro.getListIndex());
        realP.setStrWzName(pro.getStrWzName());
        realP.setStrWzHXName(pro.getStrWzHXName());
        try{
            pro.setIbqs(1);//标签数 3  1/izball
            pro.setStrBqs("1/" + String.valueOf(pro.getiZbAll()));//标签数 3  Ibqs/izball
            pro.setStrEpc(pro.getStrEpc());//epc5
            pro.setStrZbAndAll(String.valueOf(pro.getiZbNo())+"/" + String.valueOf(pro.getiZbAll()));//已扫到 6

            check_wzjyinfo_no_tv.setText("1/" + String.valueOf(pro.getiZbAll()));

            productMxListItemsForLv.add(pro);
            if(productMxListItemsForLv.size() < pageSize +1){
                productMxListItemsForLvByPag.clear();
                productMxListItemsForLvByPag.addAll(productMxListItemsForLv);
                tagsAdapter.notifyDataSetChanged();
                check_tags_lv.setAdapter(tagsAdapter);
            }
            productMxListItems.add(realP);
        }catch (Exception e){
            showMessage("listViewMxAdd Err:" + e.getMessage());
        }
    }

    /**
     * 对一箱贴有多张标签的时候，同一箱的标签显示在一条记录上，更新校验数，把epc记录下*/
    private void listViewMxUpdata(ProductEpc pro) {

        ProductEpc realP = new ProductEpc();
        realP.setStrEpc(pro.getStrEpc());
        realP.getInfoFormEpc();
        realP.setListIndex(pro.getListIndex());
        try{

            //ProductEpcBean old = tagsAdapter.getItem(pro.getListIndex() - 1);

            productMxListItems.add(realP);

            ProductEpc bean = productMxListItemsForLv.get(pro.getListIndex() - 1);
            int tempBqs = bean.getIbqs() + 1;
            bean.setIbqs(tempBqs);//标签数 3  Ibqs
            bean.setStrBqs(String.valueOf(tempBqs)+"/" + String.valueOf(pro.getiZbAll()));//标签数 3  Ibqs/izball
            bean.setStrEpc(bean.getStrEpc() + ","+pro.getStrEpc());//epc5
            bean.setStrZbAndAll(bean.getStrZbAndAll() + "、"+String.valueOf(pro.getiZbNo())+"/" + String.valueOf(pro.getiZbAll()));//已扫到 6

            //pro.setListIndex(productMxListItemsForLv.size());
            //productMxListItems.add(pro);
            if(productMxListItemsForLv.size() < pageSize +1){
                productMxListItemsForLvByPag.clear();
                productMxListItemsForLvByPag.addAll(productMxListItemsForLv);
            }else{
                /*if(productMxListItemsForLvByPag.size() >= pro.getListIndex()){//只更新页面展示的数据
                    ProductEpc beanByP = productMxListItemsForLvByPag.get(pro.getListIndex() - 1);
                    beanByP.setIbqs(tempBqs);//标签数 3  Ibqs
                    beanByP.setStrBqs(String.valueOf(tempBqs)+"/" + String.valueOf(pro.getiZbAll()));//标签数 3  Ibqs/izball
                    beanByP.setStrEpc(bean.getStrEpc() + ","+pro.getStrEpc());//epc5
                    beanByP.setStrZbAndAll(bean.getStrZbAndAll() + "、"+String.valueOf(pro.getiZbNo())+"/" + String.valueOf(pro.getiZbAll()));//已扫到 6
                }*/
            }
            if(productMxListItemsForLvByPag.size() >= pro.getListIndex()){
                tagsAdapter.updataView(pro.getListIndex() - 1,check_tags_lv,productMxListItemsForLvByPag.get(pro.getListIndex() - 1));
            }
            /*tagsAdapter.notifyDataSetChanged();
            check_tags_lv.setAdapter(tagsAdapter);*/

            if(PageIndex == 3){
                check_wzjyinfo_alreadyScan_tv.setText(productMxListItemsForLv.get(pro.getListIndex() -1).getStrZbAndAll());
            }

        }catch (Exception e){

        }
    }

    private void productShow(ProductEpc pro) {
        ProductEpc  foundData = null;
        List<ProductEpc> productListItems = new ArrayList<>();
        productListItems = map_productListItems.get(String.valueOf(pro.getiWzLsm()) + pro.getStrBzType());
        try{
            if(productListItems != null){
                if(pro.getStrBzType().equals("F")){
                    for(ProductEpc  pc :productListItems){
                        if( pc.getStrBzType().equals("F") ){
                            foundData = pc;
                            break;
                        }
                    }
                }else{
                    for(ProductEpc  pc :productListItems){
                        if(pc.getiWzLsm().equals(pro.getiWzLsm())){
                            if(!pc.getStrBzType().equals("F")){
                                foundData = pc;
                                break;
                            }
                        }
                    }
                }
            }
            if(foundData == null){
                //之前没有扫描到该物资
                pro.setIndex(check_tj_lv.getCount() + 1);
                listViewAdd(pro);

            }else{
                //该物资记录已经存在
                pro.setIndex(foundData.getIndex());
                listViewUpdata(pro);
                //缺失
                //isInit  playWAV
            }

        }catch (Exception e){
            showMessage("Err:" + e.getMessage());
        }

    }

    /**
     * 对首次出现的物资，型号，在tj_lv添加一条记录*/
    private void listViewAdd(ProductEpc pro) {
        ProductEpc realP = new ProductEpc();
        realP.setStrEpc(pro.getStrEpc());
        realP.getInfoFormEpc();
        realP.setIndex(pro.getIndex());
        try{
            // id  index
            if(pro.getStrBzType().equals("F")){
                pro.setStrWzName("混箱");
                realP.setStrWzName("混箱");
            }else{
                pro.getWZHXInfo();
                realP.getWZHXInfo();
            }
            pro.setHj(1);
            int hj = Integer.parseInt(check_hj_tv.getText().toString().trim()) + 1;
            check_hj_tv.setText(String.valueOf(hj));
            if(pro.getiZbAll() == 1){
                int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) + 1;
                check_sq_tv.setText(String.valueOf(sq));
                pro.setWq(0);
                pro.setSq(1);
                pro.setIsOk("Y");
                realP.setIsOk("Y");
            }else{
                int wq = Integer.parseInt(check_wq_tv.getText().toString().trim()) + 1;
                check_wq_tv.setText(String.valueOf(wq));
                pro.setWq(1);
                pro.setSq(0);
                pro.setIsOk("N");
                realP.setIsOk("N");
            }

            List<ProductEpc> productListItems = new ArrayList<>();
            productListItems.add(realP);
            map_productListItems.put(String.valueOf(pro.getiWzLsm()) + pro.getStrBzType(),productListItems);

            productListItemsForLv.add(pro);

            if(productListItemsForLv.size() < pageSize +1){
                productListItemsForLvByPag.clear();
                productListItemsForLvByPag.addAll(productListItemsForLv);
                //适配器
                tjAdapter.notifyDataSetChanged();
                //加载适配器
                check_tj_lv.setAdapter(tjAdapter);
            }
        }catch (Exception e){
            showMessage("Err:" + e.getMessage());
        }
    }

    /**
     * 当相同物资，型号时，更新list，把epc记录下*/
    private void listViewUpdata(ProductEpc pro) {
        ProductEpc realP = new ProductEpc();
        //realP = pro;
        realP.setStrEpc(pro.getStrEpc());
        realP.getInfoFormEpc();
        realP.setIndex(pro.getIndex());
        String prox = pro.getStrXiangNo();
        try{
            // id  index
            if(pro.getStrBzType().equals("F")){
                pro.setStrWzName("混箱");
                realP.setStrWzName("混箱");
            }else{
                pro.getWZHXInfo();
                realP.getWZHXInfo();
            }
            List<ProductEpc> foundList  = new ArrayList<>();

            List<ProductEpc> productListItems = new ArrayList<>();
            productListItems = map_productListItems.get(String.valueOf(pro.getiWzLsm()) + pro.getStrBzType());
            if(productListItems != null){
                for(ProductEpc pc :productListItems){
                    String pcEpc = "";
                    if(pc.getStrEpc().length()>52){
                        pcEpc = pc.getStrEpc().split(",")[0];
                    }else{
                        pcEpc = pc.getStrEpc();
                    }
                    String pcx = pc.getStrXiangNo();
                    if(!pcEpc.equals(pro.getStrEpc())){
                        String temp = pcEpc.substring(0,41) + pcEpc.substring(43,49);
                        if(pro.getStrSubEpc().equals(temp)){//同箱
                            foundList.add(pc);
                        }
                    /*if(pc.isSameBox(pro.getStrEpc())){//好几个epc连在一起就不是52位了
                        foundList.add(pc);
                    }*/
                    }
                }
            }
            String epc = productListItemsForLv.get(pro.getIndex() - 1).getStrEpc() + "," + pro.getStrEpc();
            productListItemsForLv.get(pro.getIndex() - 1).setStrEpc(epc);
            /*if(productListItemsForLvByPag.size() >= pro.getIndex() ){
                productListItemsForLvByPag.get(pro.getIndex() - 1).setStrEpc(epc);
            }*/
            pro.setStrWzName(productListItemsForLv.get(pro.getIndex() - 1).getStrWzName());
            pro.setStrWzHXName(productListItemsForLv.get(pro.getIndex() - 1).getStrWzHXName());
            realP.setStrWzName(productListItemsForLv.get(pro.getIndex() - 1).getStrWzName());
            realP.setStrWzHXName(productListItemsForLv.get(pro.getIndex() - 1).getStrWzHXName());
            if(foundList.size() == 0){
                //没有找到同一箱的记录，是一个新箱
                if(pro.getiZbAll() == 1){
                    int tempXs = productListItemsForLv.get(pro.getIndex() - 1).getSq() + 1;//扫全数量
                    productListItemsForLv.get(pro.getIndex() - 1).setSq(tempXs);

                    /*if(productListItemsForLvByPag.size() >= pro.getIndex()){
                        productListItemsForLvByPag.get(pro.getIndex() - 1).setSq(tempXs);
                    }*/
                    pro.setIsOk("Y");
                    realP.setIsOk("Y");
                    int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) + 1;
                    int hj = Integer.parseInt(check_hj_tv.getText().toString().trim()) + 1;
                    check_sq_tv.setText(String.valueOf(sq));
                    check_hj_tv.setText(String.valueOf(hj));
                }else{
                    int tempXs = productListItemsForLv.get(pro.getIndex() - 1).getWq() + 1;//未扫全数量
                    productListItemsForLv.get(pro.getIndex() - 1).setWq(tempXs);
                   /* if(productListItemsForLvByPag.size() >= pro.getIndex()){
                        productListItemsForLvByPag.get(pro.getIndex() - 1).setWq(tempXs);
                    }*/
                    pro.setIsOk("N");
                    realP.setIsOk("N");
                    int wq = Integer.parseInt(check_wq_tv.getText().toString().trim()) + 1;
                    int hj = Integer.parseInt(check_hj_tv.getText().toString().trim()) + 1;
                    check_wq_tv.setText(String.valueOf(wq));
                    check_hj_tv.setText(String.valueOf(hj));
                }
                int tempHj = productListItemsForLv.get(pro.getIndex() - 1).getHj() + 1;
                productListItemsForLv.get(pro.getIndex() - 1).setHj(tempHj);
                /*if(productListItemsForLvByPag.size() >= pro.getIndex()){
                    productListItemsForLvByPag.get(pro.getIndex() - 1).setHj(tempHj);
                }*/
            }else{
                //找到相同箱的记录，根据找到的记录数量不同处理
                pro.setIsOk("N");
                realP.setIsOk("N");
                switch (foundList.size()){
                    case 1:
                        if(pro.getiZbAll() == 2){
                            int tempSq = productListItemsForLv.get(pro.getIndex() - 1).getSq() + 1;
                            productListItemsForLv.get(pro.getIndex() - 1).setSq(tempSq);

                            int tempWq = productListItemsForLv.get(pro.getIndex() - 1).getWq() - 1;
                            productListItemsForLv.get(pro.getIndex() - 1).setWq(tempWq);

                            /*if(productListItemsForLvByPag.size() >= pro.getIndex()){
                                productListItemsForLvByPag.get(pro.getIndex() - 1).setSq(tempSq);
                                productListItemsForLvByPag.get(pro.getIndex() - 1).setWq(tempWq);
                            }*/

                            int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) + 1;
                            int wq = Integer.parseInt(check_wq_tv.getText().toString().trim()) - 1;
                            check_sq_tv.setText(String.valueOf(sq));
                            check_wq_tv.setText(String.valueOf(wq));

                            if(tempWq == 0){
                                //缺失  颜色
                            }
                            pro.setIsOk("Y");
                            realP.setIsOk("Y");
                            productListItems.get(productListItems.indexOf(foundList.get(0))).setIsOk("Y");
                        }
                        break;
                    case 2:
                        break;
                    case 3:
                        if(pro.getiZbAll() == 4){
                            int tempSq = productListItemsForLv.get(pro.getIndex() - 1).getSq() + 1;
                            productListItemsForLv.get(pro.getIndex() - 1).setSq(tempSq);

                            int tempWq = productListItemsForLv.get(pro.getIndex() - 1).getWq() - 1;
                            productListItemsForLv.get(pro.getIndex() - 1).setWq(tempWq);

                           /* if(productListItemsForLvByPag.size() >= pro.getIndex()){
                                productListItemsForLvByPag.get(pro.getIndex() - 1).setSq(tempSq);
                                productListItemsForLvByPag.get(pro.getIndex() - 1).setWq(tempWq);
                            }*/
                            if(tempWq == 0){
                                //缺失  颜色
                            }

                            int sq = Integer.parseInt(check_sq_tv.getText().toString().trim()) + 1;
                            int wq = Integer.parseInt(check_wq_tv.getText().toString().trim()) - 1;
                            check_sq_tv.setText(String.valueOf(sq));
                            check_wq_tv.setText(String.valueOf(wq));

                            pro.setIsOk("Y");
                            realP.setIsOk("Y");

                            for (ProductEpc tempPro : foundList){
                                productListItems.get(productListItems.indexOf(tempPro)).setIsOk("Y");
                            }

                        }
                        break;
                    case 4:
                        break;
                    default:
                        break;
                }
            }


            productListItems.add(realP);
            map_productListItems.put(String.valueOf(pro.getiWzLsm()) + pro.getStrBzType(),productListItems);

            if(productListItemsForLvByPag.size() >= pro.getIndex()){
                tjAdapter.updataView(pro.getIndex() - 1,check_tj_lv,productListItemsForLvByPag.get(pro.getIndex() - 1));
            }

            /*//适配器
            tjAdapter.notifyDataSetChanged();
            //加载适配器
            check_tj_lv.setAdapter(tjAdapter);*/

        }catch (Exception e){
            showMessage("ListViewUpdate Err:" + e.getMessage());
        }
    }

    /**
      *首页单项点击事件*/
    private View.OnClickListener tjListener = new View.OnClickListener() {

        @Override
        public void onClick(View view) {
            LinearLayout btn = (LinearLayout) view;

            int pos = (Integer) btn.getTag();
            tjItemPos = pos;
            try{
                for(int i=0;i<productListItemsForLv.size();i++){
                    if(pos == i){
                        ProductEpc product = new ProductEpc();
                        product = tjAdapter.getItem(pos);
                        if(product.getStrWzName().equals("混箱")){

                            check_mx_lsm_tv.setText(String.valueOf(product.getiWzLsm()));
                            check_mx_wzName_tv.setText(product.getStrWzName());
                            check_mx_wzhxname_tv.setText(product.getStrWzHXName());
                            check_mx_xiang_tv.setText(String.valueOf(product.getiXangNo()));
                            check_mx_scrq_tv.setText(TimeUtil.getDateStringShort(product.getDtScrq()));

                            List<ProductEpc> foundlist = new ArrayList<>();
                            List<ProductEpc> productListItems = new ArrayList<>();
                            productListItems = map_productListItems.get(String.valueOf(product.getiWzLsm()) + product.getStrBzType());
                            for(ProductEpc pc : productListItems){
                                if(pc.getStrBzType().equals("F")){
                                    foundlist.add(pc);
                                }
                            }

                            panelShow(2);
                            if(foundlist.size()>0){
                                productMxListItems.clear();
                                productMxListItemsForLv.clear();
                                productMxListItemsForLvByPag.clear();
                                tgStartIndex = 0;
                                tgEndIndex = pageSize;
                                for(ProductEpc pro : foundlist){
                                    String epc = "";
                                    if(pro.getStrEpc().length()>52){
                                        epc = pro.getStrEpc().split(",")[0];
                                    }else{
                                        epc = pro.getStrEpc();
                                    }
                                    pro.setStrEpc(epc);
                                    loadProducToList(pro);
                                }
                            }
                        }else{
                            check_mx_lsm_tv.setText(String.valueOf(product.getiWzLsm()));
                            check_mx_wzName_tv.setText(product.getStrWzName());
                            check_mx_wzhxname_tv.setText(product.getStrWzHXName());
                            check_mx_xiang_tv.setText(String.valueOf(product.getiXangNo()));
                            check_mx_scrq_tv.setText(TimeUtil.getDateStringShort(product.getDtScrq()));

                            List<ProductEpc> foundlist = new ArrayList<>();
                            List<ProductEpc> productListItems = new ArrayList<>();
                            productListItems = map_productListItems.get(String.valueOf(product.getiWzLsm()) + product.getStrBzType());
                            for(ProductEpc pc : productListItems){
                                if(!pc.getStrBzType().equals("F") && pc.getiWzLsm().equals( product.getiWzLsm())){
                                    foundlist.add(pc);
                                }
                            }
                            panelShow(2);
                            if(foundlist.size()>0){
                                productMxListItems.clear();
                                productMxListItemsForLv.clear();
                                productMxListItemsForLvByPag.clear();
                                tgStartIndex = 0;
                                tgEndIndex = pageSize;
                                for(ProductEpc pro : foundlist){
                                    String epc = "";
                                    if(pro.getStrEpc().length()>52){
                                        epc = pro.getStrEpc().split(",")[0];
                                    }else{
                                        epc = pro.getStrEpc();
                                    }
                                    pro.setStrEpc(epc);
                                    loadProducToList(pro);
                                }
                            }
                        }

                    }
                }

            }catch (Exception e){
                showMessage("Err:" + e.getMessage());
            }
        }
    };

    /**
      *2页单项点击事件*/
    private View.OnClickListener tagsListener = new View.OnClickListener() {

        @Override
        public void onClick(View view) {
            LinearLayout btn = (LinearLayout) view;

            int pos = (Integer) btn.getTag();
            try{
                for(int i=0;i<productMxListItemsForLv.size();i++){
                    if(pos == i){
                        ProductEpc product = new ProductEpc();
                        product = tagsAdapter.getItem(pos);
                        product.setStrEpcs(product.getStrEpc());
                        //product.setStrEpc(product.getStrEpc().split(",")[0]);
                        /*productMxListItemsForLv.get(pos).setStrEpcs(product.getStrEpc());
                        productMxListItemsForLv.get(pos).setStrEpc(product.getStrEpc().split(",")[0]);*/

                        String strbqs = product.getStrBqs();
                        String strYsd = product.getStrZbAndAll();//已扫到
                        if(check_mx_wzName_tv.getText().equals("混箱")){
                            listHuxaingitems.clear();
                            showHxDetails(product);
                            panelShow(4);
                        }else{
                            showDetails(product,strbqs,strYsd);
                            panelShow(3);
                        }

                    }
                }

            }catch (Exception e){
                showMessage("Err:" + e.getMessage());
            }
        }
    };

    /**显示明细*/
    private void showDetails(ProductEpc pro, String strbqs, String strYsd) {
        try{
            pro.getInfoFormEpc();
            if(pro.getStrTagType() .equals("1") ){
                pro.getSCCSInfo();
                pro.getWZHXInfo();
                if(pro.getStrWzHXName().equals("")){
                    pro.setStrWzHXName("NULL");
                }
                check_wzjyinfo_wzmc_tv.setText(pro.getStrWzName());
                check_wzjyinfo_wzmc_tv.setTag(pro.getiWzLsm());
                check_wzjyinfo_wzhxname_tv.setText(pro.getStrWzHXName());
                check_wzjyinfo_bzsl_tv.setText(String.valueOf(pro.getiNum()));
                check_wzjyinfo_dtscrq_tv.setText(TimeUtil.getDateStringShort(pro.getDtScrq()));
                check_wzjyinfo_scqymc_tv.setText(pro.getStrSCCSName());
                check_wzjyinfo_scline_tv.setText(String.valueOf(pro.getiScxNo()));
                check_wzjyinfo_xiangNo_tv.setText(String.valueOf(pro.getiXangNo()));
                check_wzjyinfo_alreadyScan_tv.setText(strYsd);
                check_wzjyinfo_no_tv.setText(strbqs);
                check_wzjyinfo_epcs_tv.setText(pro.getStrEpcs());

                findLsm = String.valueOf(pro.getiWzLsm());
                findLsmAndType = String.valueOf(pro.getiWzLsm()) + pro.getStrBzType();
                findWzName = pro.getStrWzName();
                findHx = pro.getStrWzHXName();
                findScqy = pro.getStrSCCSName();
                findScrq = TimeUtil.getDateStringShort(pro.getDtScrq());
                findScx = String.valueOf(pro.getiScxNo());
                findXiang = String.valueOf(pro.getiXangNo());
            }

        }catch (Exception e){
            showMessage("Err:" + e.getMessage());
        }

    }

    /**页面显示*/
    private void panelShow(int pageIndex) {
        showMessage("");
        this.PageIndex = pageIndex;

        panel_wzjytj.setVisibility(View.GONE);
        panel_wzjymx.setVisibility(View.GONE);
        panel_wzjyinfo.setVisibility(View.GONE);
        panel_hunXiang.setVisibility(View.GONE);

        switch (pageIndex) {
            case 1:
                panel_wzjytj.setVisibility(View.VISIBLE);
                panel_wzjymx.setVisibility(View.GONE);
                panel_wzjyinfo.setVisibility(View.GONE);
                panel_hunXiang.setVisibility(View.GONE);
                break;
            case 2:
                panel_wzjytj.setVisibility(View.GONE);
                panel_wzjymx.setVisibility(View.VISIBLE);
                panel_wzjyinfo.setVisibility(View.GONE);
                panel_hunXiang.setVisibility(View.GONE);

                tgStartIndex = 0;
                tgEndIndex = pageSize;
                productMxListItemsForLvByPag.clear();
                productMxListItemsForLvByPag.addAll(getDataService(tgStartIndex, tgEndIndex));
                tagsAdapter.notifyDataSetChanged();

                break;
            case 3:
                panel_wzjytj.setVisibility(View.GONE);
                panel_wzjymx.setVisibility(View.GONE);
                panel_wzjyinfo.setVisibility(View.VISIBLE);
                panel_hunXiang.setVisibility(View.GONE);
                break;
            case 4:
                panel_wzjytj.setVisibility(View.GONE);
                panel_wzjymx.setVisibility(View.GONE);
                panel_wzjyinfo.setVisibility(View.GONE);
                panel_hunXiang.setVisibility(View.VISIBLE);
                break;
            default:
                panel_wzjytj.setVisibility(View.VISIBLE);
                panel_wzjymx.setVisibility(View.GONE);
                panel_wzjyinfo.setVisibility(View.GONE);
                panel_hunXiang.setVisibility(View.GONE);
                break;
        }

    }


    //返回按钮事件
    private View.OnClickListener titleBarLeftClickListener = new View.OnClickListener() {

        @Override
        public void onClick(View view) {
            pageBack();
        }
    };

    private void pageBack() {
        switch (PageIndex) {
            case 1:
                if(check_tj_lv.getCount() > 0){
                    showDialog("系统提示","是否保存已扫到的包装箱信息？",new DialogInterface.OnClickListener() {
                        @Override
                        public void onClick(DialogInterface dialog, int which) {
                            try{
                                //保存并返回首页
                                btnEnable(false);

                                for(Map.Entry<String, List<ProductEpc>> str : map_productListItems.entrySet()) {
                                    List<ProductEpc> productListItems = str.getValue();
                                    for(ProductEpc foundData : productListItems){
                                        String epc = "";
                                        if(foundData.getStrEpc().length()>52){
                                            epc = foundData.getStrEpc().split(",")[0];
                                        }else{
                                            epc = foundData.getStrEpc();
                                        }
                                        JpTabWzjy wzjy = new JpTabWzjy();
                                        wzjy.setStrwzepc(epc);
                                        wzjy.setStrwzdm(String.valueOf(foundData.getiWzNo()));
                                        wzjy.setLsm(String.valueOf(foundData.getiWzLsm()));
                                        wzjy.setStrwzmc(foundData.getStrWzName());
                                        wzjy.setStrwzhx(foundData.getStrWzHXName());
                                        wzjy.setIsOk(foundData.getIsOk());
                                        wzjy.setIsOut("N");
                                        String now = TimeUtil.getDateString(yearNow,monthNow,dayNow) +"  00-00-00";
                                        int startTime = TimeUtil.getDateInt(now);
                                        wzjy.setDtDate(startTime);
                                        //wzjy.setDtDate(foundData.getDtScrq());
                                        wzjy.setStrXiang(String.valueOf(foundData.getiXangNo()));
                                        wzjy.setStrNum(String.valueOf(foundData.getiNum()));
                                        wzjy.setStrSubEpc(foundData.getStrSubEpc());
                                        jpTabWzjyService.wzjy(wzjy);
                                    }
                                }
                                btnEnable(false);
                                jumpToActivity(MainActivity.class);
                            }catch (Exception e){
                                showMessage("Err:" + e.getMessage());
                            }

                        }
                    },new DialogInterface.OnClickListener() {
                        @Override
                        public void onClick(DialogInterface dialog, int which) {
                            jumpToActivity(MainActivity.class);
                        }
                    });
                }else{
                    jumpToActivity(MainActivity.class);
                }
                break;
            case 2:
                if(isInventory){
                    bt_mx_end.performClick();
                }
                panelShow(1);
                break;
            case 3:
                if(isInventory){
                    bt_wzjyinfo_lockend.performClick();
                }
                //返回显示详细列表页面
                isFind = false;
                //stopScan();
                panelShow(2);
                break;
            case 4:
                if(isInventory){
                    bt_hunXiang_lockend.performClick();
                }
                //返回显示详细列表页面
                isFind = false;
                //stopScan();
                panelShow(2);
                break;
        }
    }

    //设置天线功率
    private void setantpower(int setPowerData) {
        try {
            //功率设置，0:表示成功。不等于0:表示失败
            int result = UHfData.UHfGetData.SetRfPower((byte) setPowerData);
            if (result == 0) {/*
                JpTabConfigService jpTabConfigService = new JpTabConfigService();
                JpTabConfig jpTabConfig = new JpTabConfig();
                jpTabConfig = (JpTabConfig) jpTabConfigService.getConfigByid(UserCache.getId());
                jpTabConfig.setNpower(setPowerData);
                boolean flag = jpTabConfigService.update(jpTabConfig);
                if(flag){
                    UserCache.saveAntPower(setPowerData);
                    showMessage("功率"+ setPowerData +UIUtil.getString(R.string.set_success));
                }else{
                    showMessage("功率"+ setPowerData +UIUtil.getString(R.string.set_fail));
                }*/
                showMessage("功率"+ setPowerData +UIUtil.getString(R.string.set_success));
            } else {
                showMessage("功率"+ setPowerData +UIUtil.getString(R.string.set_fail));
            }
        } catch (Exception e) {
            showMessage( "Obtain Exception:" + e.getMessage());
            return;
        }
    }

    public final class ScrollListener implements AbsListView.OnScrollListener {
        boolean isLastRow = false;
        @Override
        public void onScrollStateChanged(AbsListView view, int scrollState) {
            LogUtils.e("---->" + scrollState);
            switch (scrollState) {
                case SCROLL_STATE_IDLE://滚到底部
                    /*if(view.getLastVisiblePosition() == (view.getCount() - 1)){
                        ysjhjy_lv.setNotAllowParentScroll(false);
                        scrollView.setAllowChildViewScroll(true);
                    }*/
                    if(isLastRow){
                        showMessage("");
                        if(view.getCount() < productMxListItemsForLv.size()){//没有加载全部数据的时候
                            //ysjhjy_lv.addFooterView(footer);
                            tgStartIndex += pageSize;
                            tgEndIndex += pageSize;
                            productMxListItemsForLvByPag.addAll( getDataService(tgStartIndex, tgEndIndex));
                            tagsAdapter.notifyDataSetChanged();
                            //ysjhjy_lv.removeFooterView(footer);
                        }else{
                            showMessage("数据已经加载完全！");
                        }
                        isLastRow = false;
                    }
                    break;
                case SCROLL_STATE_TOUCH_SCROLL:
                    break;
                case SCROLL_STATE_FLING:
                    break;
            }
            //当滚动到最后一行且停止滚动时，执行加载
        }

        @Override
        public void onScroll(AbsListView view, int firstVisibleItem, int visibleItemCount, int totalItemCount) {
            if(firstVisibleItem + visibleItemCount == totalItemCount && totalItemCount > 0 ) {
                isLastRow = true;
            }
        }

    }

    /**
     * 加载显示数据
     * @param from
     * @param to
     * @return
     */
    public List<ProductEpc> getDataService(int from, int to) {
        List<ProductEpc> getDatalist = new ArrayList<>();
        if(to>productMxListItemsForLv.size()){
            to = productMxListItemsForLv.size();
            tgEndIndex = to;
            tgStartIndex = to -pageSize;
        }
        for (int i = from; i < to; i++) {
            getDatalist.add(productMxListItemsForLv.get(i));
        }
        LogUtils.d("加载数据：" + Integer.toString(productMxListItemsForLvByPag.size()));
        return getDatalist;
    }

    public final class TjScrollListener implements AbsListView.OnScrollListener {
        boolean isLastRow = false;
        @Override
        public void onScrollStateChanged(AbsListView view, int scrollState) {
            LogUtils.e("---->" + scrollState);
            switch (scrollState) {
                case SCROLL_STATE_IDLE://滚到底部
                    /*if(view.getLastVisiblePosition() == (view.getCount() - 1)){
                        ysjhjy_lv.setNotAllowParentScroll(false);
                        scrollView.setAllowChildViewScroll(true);
                    }*/
                    if(isLastRow){
                        showMessage("");
                        if(view.getCount() < productListItemsForLv.size()){//没有加载全部数据的时候
                            //ysjhjy_lv.addFooterView(footer);
                            tjStartIndex += pageSize;
                            tjEndIndex += pageSize;
                            productListItemsForLvByPag.addAll( getTjDataService(tjStartIndex, tjEndIndex));
                            tjAdapter.notifyDataSetChanged();
                            //ysjhjy_lv.removeFooterView(footer);
                        }else{
                            showMessage("数据已经加载完全！");
                        }
                        isLastRow = false;
                    }
                    break;
                case SCROLL_STATE_TOUCH_SCROLL:
                    break;
                case SCROLL_STATE_FLING:
                    break;
            }
            //当滚动到最后一行且停止滚动时，执行加载
        }

        @Override
        public void onScroll(AbsListView view, int firstVisibleItem, int visibleItemCount, int totalItemCount) {
            if(firstVisibleItem + visibleItemCount == totalItemCount && totalItemCount > 0 ) {
                isLastRow = true;
            }
        }

    }

    /**
     * 加载统计页面显示数据
     * @param from
     * @param to
     * @return
     */
    public List<ProductEpc> getTjDataService(int from, int to) {
        List<ProductEpc> getDatalist = new ArrayList<>();
        if(to>productListItemsForLv.size()){
            to = productListItemsForLv.size();
            tjEndIndex = to;
            tjStartIndex = to -pageSize;
        }
        for (int i = from; i < to; i++) {
            getDatalist.add(productListItemsForLv.get(i));
        }
        LogUtils.d("加载数据：" + Integer.toString(productListItemsForLvByPag.size()));
        return getDatalist;
    }

}
