package com.junmp.print.util;


import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.os.Environment;
import android.util.Log;
import android.widget.Toast;

import java.io.File;

/**
 * <pre>
 * 描述：
 * 版本：1.0
 * 日期：2019/1/11
 * 作者：wangq@junmp.com.cn
 * </pre>
 */

public class InitApkBroadCastReceiver extends BroadcastReceiver {
        @Override
        public void onReceive(Context context, Intent intent) {

            if (Intent.ACTION_PACKAGE_ADDED.equals(intent.getAction())) {
                RmoveFileUtil.rmoveFile(Environment.getExternalStorageDirectory() + "/Download/JPQYHand.apk");
                //Toast.makeText(context , "监听到系统广播----添加" , Toast.LENGTH_LONG).show();
                Log.d("InitApkBroad","监听到系统广播----添加");
            }

            if (Intent.ACTION_PACKAGE_REMOVED.equals(intent.getAction())) {
                RmoveFileUtil.rmoveFile(Environment.getExternalStorageDirectory() + "/Download/JPQYHand.apk");
                //Toast.makeText(context , "监听到系统广播----移除" , Toast.LENGTH_LONG).show();
                //Toast.makeText(context , "卸载" , Toast.LENGTH_LONG).show();
                /*String fileName = Environment.getExternalStorageDirectory() + "/JPQYHand/";
                File dir = new File(fileName);
                if(dir.exists()){
                    dir.delete();
                }*/
                Log.d("InitApkBroad","监听到系统广播----移除");
            }

            if (Intent.ACTION_PACKAGE_REPLACED.equals(intent.getAction())) {
                RmoveFileUtil.rmoveFile(Environment.getExternalStorageDirectory() + "/Download/JPQYHand.apk");
                //Toast.makeText(context , "监听到系统广播----替换" , Toast.LENGTH_LONG).show();
                Log.d("InitApkBroad","监听到系统广播----替换");
            }
        }
}
